package com.ruoyi.web.controller.dhc;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.dhc.domain.DhcRollPlanTitle;
import com.ruoyi.dhc.service.IDhcRollPlanTitleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dhc/rollPlan")
public class DhcRollPlanController extends BaseController {

    @Autowired
    private IDhcRollPlanTitleService rollPlanTitleService;

    @PreAuthorize("@ss.hasPermi('dhc:plan:init')")
    @PostMapping("/init")
    @Log(title = "初始化滚动计划")
    public String init(@RequestBody DhcRollPlanTitle params) {
        return rollPlanTitleService.init(params);
    }
}
