package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 区域对象 dhc_area
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public class DhcArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long areaId;

    /** 父区域id */
    @Excel(name = "父区域id")
    private Long parentId;

    /** 区域编码 */
    @Excel(name = "区域编码")
    private String areaCode;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 产品线 */
    @Excel(name = "产品线")
    private String productLineCode;

    /** 区域类型 */
    @Excel(name = "区域类型")
    private String areaType;

    /** 区域层级 */
    @Excel(name = "区域层级")
    private String areaLevel;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long orderNum;

    /** 区域说明 */
    @Excel(name = "区域说明")
    private String areaDesc;

    /** 区域状态（0正常 1停用） */
    @Excel(name = "区域状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 父区域名称 */
    private String parentName;

    private boolean isEdit = false;

    /** 子部门 */
    private List<DhcArea> children = new ArrayList<DhcArea>();

    public boolean isEdit() {
        return isEdit;
    }

    public void setEdit(boolean edit) {
        isEdit = edit;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public List<DhcArea> getChildren() {
        return children;
    }

    public void setChildren(List<DhcArea> children) {
        this.children = children;
    }

    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAreaType(String areaType) 
    {
        this.areaType = areaType;
    }

    public String getAreaType() 
    {
        return areaType;
    }
    public void setAreaLevel(String areaLevel) 
    {
        this.areaLevel = areaLevel;
    }

    public String getAreaLevel() 
    {
        return areaLevel;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setAreaDesc(String areaDesc) 
    {
        this.areaDesc = areaDesc;
    }

    public String getAreaDesc() 
    {
        return areaDesc;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("parentId", getParentId())
            .append("areaCode", getAreaCode())
            .append("areaName", getAreaName())
            .append("areaType", getAreaType())
            .append("areaLevel", getAreaLevel())
            .append("orderNum", getOrderNum())
            .append("areaDesc", getAreaDesc())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
