package com.ruoyi.dhc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 滚动计划明细历史记录对象 dhc_roll_plan_detail_record
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class DhcRollPlanDetailRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 滚动计划明细历史记录id */
    private Long rollPlanDetailRecordId;

    /** 滚动计划明细id */
    @Excel(name = "滚动计划明细id")
    private Long rollPlanDetailId;

    /** 滚动计划id */
    @Excel(name = "滚动计划id")
    private Long rollPlanId;

    /** 滚动计划号 */
    @Excel(name = "滚动计划号")
    private String rollPlanNum;

    /** 滚动计划序号 */
    @Excel(name = "滚动计划序号")
    private String rollPlanNo;

    /** 整机编码 */
    @Excel(name = "整机编码")
    private String completeMachineCode;

    /** 计划版本（排产计划导入的） */
    @Excel(name = "计划版本", readConverterExp = "排=产计划导入的")
    private String planVersion;

    /** 计划内/计划外（Y/N） */
    @Excel(name = "计划内/计划外", readConverterExp = "Y=/N")
    private String planInout;

    /** 国家编码 */
    @Excel(name = "国家编码")
    private String countryCode;

    /** 国家名称 */
    @Excel(name = "国家名称")
    private String countryName;

    /** 客户编码 */
    @Excel(name = "客户编码")
    private String dealerCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String dealerName;

    /** 销售大区编码 */
    @Excel(name = "销售大区编码")
    private String areaCodeLarge;

    /** 销售大区名称 */
    @Excel(name = "销售大区名称")
    private String areaNameLarge;

    /** 销售小区编码 */
    @Excel(name = "销售小区编码")
    private String areaCodeSmall;

    /** 销售小区名称 */
    @Excel(name = "销售小区名称")
    private String areaNameSmall;

    /** 业务线负责人编号 */
    @Excel(name = "业务线负责人编号")
    private String deptEmpCode;

    /** 业务线负责人名称 */
    @Excel(name = "业务线负责人名称")
    private String deptEmpName;

    /** 内部型号 */
    @Excel(name = "内部型号")
    private String internalModel;

    /** 客户型号 */
    @Excel(name = "客户型号")
    private String customerModel;

    /** 计划数量 */
    @Excel(name = "计划数量")
    private Long planQuantity;

    /** 计划数量（N-1周） */
    @Excel(name = "计划数量", readConverterExp = "N=-1周")
    private Long planQuantityPre;

    /** 正式版计划数量 */
    @Excel(name = "正式版计划数量")
    private Long formalPlanQuantity;

    /** 产品大类编码 */
    @Excel(name = "产品大类编码")
    private String productCategoryLarge;

    /** 产品中类编码 */
    @Excel(name = "产品中类编码")
    private String productCategoryMiddle;

    /** 产品小类编码 */
    @Excel(name = "产品小类编码")
    private String productCategorySmall;

    /** 产品品类 */
    @Excel(name = "产品品类")
    private String productCategory;

    /** 产品系列 */
    @Excel(name = "产品系列")
    private String productSeries;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String productSize;

    /** 生产基地编码 */
    @Excel(name = "生产基地编码")
    private String productionBaseCode;

    /** 生产基地名称 */
    @Excel(name = "生产基地名称")
    private String productionBaseName;

    /** 包装方式编码 */
    @Excel(name = "包装方式编码")
    private String packWayCode;

    /** 包装方式名称 */
    @Excel(name = "包装方式名称")
    private String packWayName;

    /** 合同号 */
    @Excel(name = "合同号")
    private String contractNum;

    /** 品牌编码 */
    @Excel(name = "品牌编码")
    private String brandCode;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 生产年 */
    @Excel(name = "生产年")
    private Long productionYear;

    /** 生产周 */
    @Excel(name = "生产周")
    private Long productionWeek;

    /** 交货日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "交货日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deliveryDate;

    /** 交货日期（N-1周） */
    @Excel(name = "交货日期", readConverterExp = "N=-1周")
    private Date deliveryDatePre;

    /** 交货年 */
    @Excel(name = "交货年")
    private Long deliveryYear;

    /** 交货周 */
    @Excel(name = "交货周")
    private Long deliveryWeek;

    /** 正式版交货日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正式版交货日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date formalDeliveryDate;

    /** 排定日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "排定日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ordPlanDate;

    /** 销售协调编码 */
    @Excel(name = "销售协调编码")
    private String salesAssistantCode;

    /** 销售协调名称 */
    @Excel(name = "销售协调名称")
    private String salesAssistantName;

    /** 项目经理编码 */
    @Excel(name = "项目经理编码")
    private String pmCode;

    /** 项目经理名称 */
    @Excel(name = "项目经理名称")
    private String pmName;

    /** 是否首单（0.否 1.是） */
    @Excel(name = "是否首单", readConverterExp = "0=.否,1=.是")
    private String isFirstOrder;

    /** 是否零号计划（0.否 1.是） */
    @Excel(name = "是否零号计划", readConverterExp = "0=.否,1=.是")
    private String isPlanZero;

    /** 是否直发（0.否 1.是） */
    @Excel(name = "是否直发", readConverterExp = "0=.否,1=.是")
    private String isStraight;

    /** 生产方式（0.自制 1.ODM） */
    @Excel(name = "生产方式", readConverterExp = "0=.自制,1=.ODM")
    private String productionMothod;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String supplierCode;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String supplierName;

    /** 订单阶段 */
    @Excel(name = "订单阶段")
    private String orderStage;

    /** 订单类别（A,B，C） */
    @Excel(name = "订单类别", readConverterExp = "A=,B，C")
    private String orderType;

    /** 异常信息 */
    @Excel(name = "异常信息")
    private String abnormalInfo;

    /** 异常信息说明 */
    @Excel(name = "异常信息说明")
    private String abnormalSpec;

    /** 当地自制物料 */
    @Excel(name = "当地自制物料")
    private String shelfMaterial;

    /** 市场反馈 */
    @Excel(name = "市场反馈")
    private String feedbackMarket;

    /** 计划明细状态（0初始化 1已提交 2已审核 3评审版已发布 4.正式版已发布 5.待市场反馈 6.已应答不满足） */
    @Excel(name = "计划明细状态", readConverterExp = "0=初始化,1=已提交,2=已审核,3=评审版已发布,4=.正式版已发布,5=.待市场反馈,6=.已应答不满足")
    private String detailStatus;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setRollPlanDetailRecordId(Long rollPlanDetailRecordId) 
    {
        this.rollPlanDetailRecordId = rollPlanDetailRecordId;
    }

    public Long getRollPlanDetailRecordId() 
    {
        return rollPlanDetailRecordId;
    }
    public void setRollPlanDetailId(Long rollPlanDetailId) 
    {
        this.rollPlanDetailId = rollPlanDetailId;
    }

    public Long getRollPlanDetailId() 
    {
        return rollPlanDetailId;
    }
    public void setRollPlanId(Long rollPlanId) 
    {
        this.rollPlanId = rollPlanId;
    }

    public Long getRollPlanId() 
    {
        return rollPlanId;
    }
    public void setRollPlanNum(String rollPlanNum) 
    {
        this.rollPlanNum = rollPlanNum;
    }

    public String getRollPlanNum() 
    {
        return rollPlanNum;
    }
    public void setRollPlanNo(String rollPlanNo) 
    {
        this.rollPlanNo = rollPlanNo;
    }

    public String getRollPlanNo() 
    {
        return rollPlanNo;
    }
    public void setCompleteMachineCode(String completeMachineCode) 
    {
        this.completeMachineCode = completeMachineCode;
    }

    public String getCompleteMachineCode() 
    {
        return completeMachineCode;
    }
    public void setPlanVersion(String planVersion) 
    {
        this.planVersion = planVersion;
    }

    public String getPlanVersion() 
    {
        return planVersion;
    }
    public void setPlanInout(String planInout) 
    {
        this.planInout = planInout;
    }

    public String getPlanInout() 
    {
        return planInout;
    }
    public void setCountryCode(String countryCode) 
    {
        this.countryCode = countryCode;
    }

    public String getCountryCode() 
    {
        return countryCode;
    }
    public void setCountryName(String countryName) 
    {
        this.countryName = countryName;
    }

    public String getCountryName() 
    {
        return countryName;
    }
    public void setDealerCode(String dealerCode) 
    {
        this.dealerCode = dealerCode;
    }

    public String getDealerCode() 
    {
        return dealerCode;
    }
    public void setDealerName(String dealerName) 
    {
        this.dealerName = dealerName;
    }

    public String getDealerName() 
    {
        return dealerName;
    }
    public void setAreaCodeLarge(String areaCodeLarge) 
    {
        this.areaCodeLarge = areaCodeLarge;
    }

    public String getAreaCodeLarge() 
    {
        return areaCodeLarge;
    }
    public void setAreaNameLarge(String areaNameLarge) 
    {
        this.areaNameLarge = areaNameLarge;
    }

    public String getAreaNameLarge() 
    {
        return areaNameLarge;
    }
    public void setAreaCodeSmall(String areaCodeSmall) 
    {
        this.areaCodeSmall = areaCodeSmall;
    }

    public String getAreaCodeSmall() 
    {
        return areaCodeSmall;
    }
    public void setAreaNameSmall(String areaNameSmall) 
    {
        this.areaNameSmall = areaNameSmall;
    }

    public String getAreaNameSmall() 
    {
        return areaNameSmall;
    }
    public void setDeptEmpCode(String deptEmpCode) 
    {
        this.deptEmpCode = deptEmpCode;
    }

    public String getDeptEmpCode() 
    {
        return deptEmpCode;
    }
    public void setDeptEmpName(String deptEmpName) 
    {
        this.deptEmpName = deptEmpName;
    }

    public String getDeptEmpName() 
    {
        return deptEmpName;
    }
    public void setInternalModel(String internalModel) 
    {
        this.internalModel = internalModel;
    }

    public String getInternalModel() 
    {
        return internalModel;
    }
    public void setCustomerModel(String customerModel) 
    {
        this.customerModel = customerModel;
    }

    public String getCustomerModel() 
    {
        return customerModel;
    }
    public void setPlanQuantity(Long planQuantity) 
    {
        this.planQuantity = planQuantity;
    }

    public Long getPlanQuantity() 
    {
        return planQuantity;
    }
    public void setPlanQuantityPre(Long planQuantityPre) 
    {
        this.planQuantityPre = planQuantityPre;
    }

    public Long getPlanQuantityPre() 
    {
        return planQuantityPre;
    }
    public void setFormalPlanQuantity(Long formalPlanQuantity) 
    {
        this.formalPlanQuantity = formalPlanQuantity;
    }

    public Long getFormalPlanQuantity() 
    {
        return formalPlanQuantity;
    }
    public void setProductCategoryLarge(String productCategoryLarge) 
    {
        this.productCategoryLarge = productCategoryLarge;
    }

    public String getProductCategoryLarge() 
    {
        return productCategoryLarge;
    }
    public void setProductCategoryMiddle(String productCategoryMiddle) 
    {
        this.productCategoryMiddle = productCategoryMiddle;
    }

    public String getProductCategoryMiddle() 
    {
        return productCategoryMiddle;
    }
    public void setProductCategorySmall(String productCategorySmall) 
    {
        this.productCategorySmall = productCategorySmall;
    }

    public String getProductCategorySmall() 
    {
        return productCategorySmall;
    }
    public void setProductCategory(String productCategory) 
    {
        this.productCategory = productCategory;
    }

    public String getProductCategory() 
    {
        return productCategory;
    }
    public void setProductSeries(String productSeries) 
    {
        this.productSeries = productSeries;
    }

    public String getProductSeries() 
    {
        return productSeries;
    }
    public void setProductSize(String productSize) 
    {
        this.productSize = productSize;
    }

    public String getProductSize() 
    {
        return productSize;
    }
    public void setProductionBaseCode(String productionBaseCode) 
    {
        this.productionBaseCode = productionBaseCode;
    }

    public String getProductionBaseCode() 
    {
        return productionBaseCode;
    }
    public void setProductionBaseName(String productionBaseName) 
    {
        this.productionBaseName = productionBaseName;
    }

    public String getProductionBaseName() 
    {
        return productionBaseName;
    }
    public void setPackWayCode(String packWayCode) 
    {
        this.packWayCode = packWayCode;
    }

    public String getPackWayCode() 
    {
        return packWayCode;
    }
    public void setPackWayName(String packWayName) 
    {
        this.packWayName = packWayName;
    }

    public String getPackWayName() 
    {
        return packWayName;
    }
    public void setContractNum(String contractNum) 
    {
        this.contractNum = contractNum;
    }

    public String getContractNum() 
    {
        return contractNum;
    }
    public void setBrandCode(String brandCode) 
    {
        this.brandCode = brandCode;
    }

    public String getBrandCode() 
    {
        return brandCode;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setProductionDate(Date productionDate) 
    {
        this.productionDate = productionDate;
    }

    public Date getProductionDate() 
    {
        return productionDate;
    }
    public void setProductionYear(Long productionYear) 
    {
        this.productionYear = productionYear;
    }

    public Long getProductionYear() 
    {
        return productionYear;
    }
    public void setProductionWeek(Long productionWeek) 
    {
        this.productionWeek = productionWeek;
    }

    public Long getProductionWeek() 
    {
        return productionWeek;
    }
    public void setDeliveryDate(Date deliveryDate) 
    {
        this.deliveryDate = deliveryDate;
    }

    public Date getDeliveryDate() 
    {
        return deliveryDate;
    }
    public void setDeliveryDatePre(Date deliveryDatePre) 
    {
        this.deliveryDatePre = deliveryDatePre;
    }

    public Date getDeliveryDatePre() 
    {
        return deliveryDatePre;
    }
    public void setDeliveryYear(Long deliveryYear) 
    {
        this.deliveryYear = deliveryYear;
    }

    public Long getDeliveryYear() 
    {
        return deliveryYear;
    }
    public void setDeliveryWeek(Long deliveryWeek) 
    {
        this.deliveryWeek = deliveryWeek;
    }

    public Long getDeliveryWeek() 
    {
        return deliveryWeek;
    }
    public void setFormalDeliveryDate(Date formalDeliveryDate) 
    {
        this.formalDeliveryDate = formalDeliveryDate;
    }

    public Date getFormalDeliveryDate() 
    {
        return formalDeliveryDate;
    }
    public void setOrdPlanDate(Date ordPlanDate) 
    {
        this.ordPlanDate = ordPlanDate;
    }

    public Date getOrdPlanDate() 
    {
        return ordPlanDate;
    }
    public void setSalesAssistantCode(String salesAssistantCode) 
    {
        this.salesAssistantCode = salesAssistantCode;
    }

    public String getSalesAssistantCode() 
    {
        return salesAssistantCode;
    }
    public void setSalesAssistantName(String salesAssistantName) 
    {
        this.salesAssistantName = salesAssistantName;
    }

    public String getSalesAssistantName() 
    {
        return salesAssistantName;
    }
    public void setPmCode(String pmCode) 
    {
        this.pmCode = pmCode;
    }

    public String getPmCode() 
    {
        return pmCode;
    }
    public void setPmName(String pmName) 
    {
        this.pmName = pmName;
    }

    public String getPmName() 
    {
        return pmName;
    }
    public void setIsFirstOrder(String isFirstOrder) 
    {
        this.isFirstOrder = isFirstOrder;
    }

    public String getIsFirstOrder() 
    {
        return isFirstOrder;
    }
    public void setIsPlanZero(String isPlanZero) 
    {
        this.isPlanZero = isPlanZero;
    }

    public String getIsPlanZero() 
    {
        return isPlanZero;
    }
    public void setIsStraight(String isStraight) 
    {
        this.isStraight = isStraight;
    }

    public String getIsStraight() 
    {
        return isStraight;
    }
    public void setProductionMothod(String productionMothod) 
    {
        this.productionMothod = productionMothod;
    }

    public String getProductionMothod() 
    {
        return productionMothod;
    }
    public void setSupplierCode(String supplierCode) 
    {
        this.supplierCode = supplierCode;
    }

    public String getSupplierCode() 
    {
        return supplierCode;
    }
    public void setSupplierName(String supplierName) 
    {
        this.supplierName = supplierName;
    }

    public String getSupplierName() 
    {
        return supplierName;
    }
    public void setOrderStage(String orderStage) 
    {
        this.orderStage = orderStage;
    }

    public String getOrderStage() 
    {
        return orderStage;
    }
    public void setOrderType(String orderType) 
    {
        this.orderType = orderType;
    }

    public String getOrderType() 
    {
        return orderType;
    }
    public void setAbnormalInfo(String abnormalInfo) 
    {
        this.abnormalInfo = abnormalInfo;
    }

    public String getAbnormalInfo() 
    {
        return abnormalInfo;
    }
    public void setAbnormalSpec(String abnormalSpec) 
    {
        this.abnormalSpec = abnormalSpec;
    }

    public String getAbnormalSpec() 
    {
        return abnormalSpec;
    }
    public void setShelfMaterial(String shelfMaterial) 
    {
        this.shelfMaterial = shelfMaterial;
    }

    public String getShelfMaterial() 
    {
        return shelfMaterial;
    }
    public void setFeedbackMarket(String feedbackMarket) 
    {
        this.feedbackMarket = feedbackMarket;
    }

    public String getFeedbackMarket() 
    {
        return feedbackMarket;
    }
    public void setDetailStatus(String detailStatus) 
    {
        this.detailStatus = detailStatus;
    }

    public String getDetailStatus() 
    {
        return detailStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rollPlanDetailRecordId", getRollPlanDetailRecordId())
            .append("rollPlanDetailId", getRollPlanDetailId())
            .append("rollPlanId", getRollPlanId())
            .append("rollPlanNum", getRollPlanNum())
            .append("rollPlanNo", getRollPlanNo())
            .append("completeMachineCode", getCompleteMachineCode())
            .append("planVersion", getPlanVersion())
            .append("planInout", getPlanInout())
            .append("countryCode", getCountryCode())
            .append("countryName", getCountryName())
            .append("dealerCode", getDealerCode())
            .append("dealerName", getDealerName())
            .append("areaCodeLarge", getAreaCodeLarge())
            .append("areaNameLarge", getAreaNameLarge())
            .append("areaCodeSmall", getAreaCodeSmall())
            .append("areaNameSmall", getAreaNameSmall())
            .append("deptEmpCode", getDeptEmpCode())
            .append("deptEmpName", getDeptEmpName())
            .append("internalModel", getInternalModel())
            .append("customerModel", getCustomerModel())
            .append("planQuantity", getPlanQuantity())
            .append("planQuantityPre", getPlanQuantityPre())
            .append("formalPlanQuantity", getFormalPlanQuantity())
            .append("productCategoryLarge", getProductCategoryLarge())
            .append("productCategoryMiddle", getProductCategoryMiddle())
            .append("productCategorySmall", getProductCategorySmall())
            .append("productCategory", getProductCategory())
            .append("productSeries", getProductSeries())
            .append("productSize", getProductSize())
            .append("productionBaseCode", getProductionBaseCode())
            .append("productionBaseName", getProductionBaseName())
            .append("packWayCode", getPackWayCode())
            .append("packWayName", getPackWayName())
            .append("contractNum", getContractNum())
            .append("brandCode", getBrandCode())
            .append("brandName", getBrandName())
            .append("productionDate", getProductionDate())
            .append("productionYear", getProductionYear())
            .append("productionWeek", getProductionWeek())
            .append("deliveryDate", getDeliveryDate())
            .append("deliveryDatePre", getDeliveryDatePre())
            .append("deliveryYear", getDeliveryYear())
            .append("deliveryWeek", getDeliveryWeek())
            .append("formalDeliveryDate", getFormalDeliveryDate())
            .append("ordPlanDate", getOrdPlanDate())
            .append("salesAssistantCode", getSalesAssistantCode())
            .append("salesAssistantName", getSalesAssistantName())
            .append("pmCode", getPmCode())
            .append("pmName", getPmName())
            .append("isFirstOrder", getIsFirstOrder())
            .append("isPlanZero", getIsPlanZero())
            .append("isStraight", getIsStraight())
            .append("productionMothod", getProductionMothod())
            .append("supplierCode", getSupplierCode())
            .append("supplierName", getSupplierName())
            .append("orderStage", getOrderStage())
            .append("orderType", getOrderType())
            .append("abnormalInfo", getAbnormalInfo())
            .append("abnormalSpec", getAbnormalSpec())
            .append("shelfMaterial", getShelfMaterial())
            .append("feedbackMarket", getFeedbackMarket())
            .append("detailStatus", getDetailStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
