package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 滚动计划头对象 dhc_roll_plan_title
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class DhcRollPlanTitle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 滚动计划id */
    private Long rollPlanId;

    /** 产品线编码 */
    @Excel(name = "产品线编码")
    private String productLine;

    /** 产品线名称 */
    @Excel(name = "产品线名称")
    private String productLineName;

    /** 销售大区编码 */
    @Excel(name = "销售大区编码")
    private String areaCodeLarge;

    /** 销售大区名称 */
    @Excel(name = "销售大区名称")
    private String areaNameLarge;

    /** 销售小区编码 */
    @Excel(name = "销售小区编码")
    private String areaCodeSmall;

    /** 销售小区名称 */
    @Excel(name = "销售小区名称")
    private String areaNameSmall;

    /** 提报年 */
    @Excel(name = "提报年")
    private Long planYear;

    /** 提报周 */
    @Excel(name = "提报周")
    private Long planWeek;

    /** 锁定周 */
    @Excel(name = "锁定周")
    private Long lockWeeks;

    /** 滚动计划状态（0初始化 1已提交 2已审核 3评审版已发布 4.正式版已发布） */
    @Excel(name = "滚动计划状态", readConverterExp = "0=初始化,1=已提交,2=已审核,3=评审版已发布,4=.正式版已发布")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setRollPlanId(Long rollPlanId) 
    {
        this.rollPlanId = rollPlanId;
    }

    public Long getRollPlanId() 
    {
        return rollPlanId;
    }
    public void setProductLine(String productLine) 
    {
        this.productLine = productLine;
    }

    public String getProductLine() 
    {
        return productLine;
    }
    public void setProductLineName(String productLineName) 
    {
        this.productLineName = productLineName;
    }

    public String getProductLineName() 
    {
        return productLineName;
    }
    public void setAreaCodeLarge(String areaCodeLarge) 
    {
        this.areaCodeLarge = areaCodeLarge;
    }

    public String getAreaCodeLarge() 
    {
        return areaCodeLarge;
    }
    public void setAreaNameLarge(String areaNameLarge) 
    {
        this.areaNameLarge = areaNameLarge;
    }

    public String getAreaNameLarge() 
    {
        return areaNameLarge;
    }
    public void setAreaCodeSmall(String areaCodeSmall) 
    {
        this.areaCodeSmall = areaCodeSmall;
    }

    public String getAreaCodeSmall() 
    {
        return areaCodeSmall;
    }
    public void setAreaNameSmall(String areaNameSmall) 
    {
        this.areaNameSmall = areaNameSmall;
    }

    public String getAreaNameSmall() 
    {
        return areaNameSmall;
    }
    public void setPlanYear(Long planYear) 
    {
        this.planYear = planYear;
    }

    public Long getPlanYear() 
    {
        return planYear;
    }
    public void setPlanWeek(Long planWeek) 
    {
        this.planWeek = planWeek;
    }

    public Long getPlanWeek() 
    {
        return planWeek;
    }
    public void setLockWeeks(Long lockWeeks) 
    {
        this.lockWeeks = lockWeeks;
    }

    public Long getLockWeeks() 
    {
        return lockWeeks;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rollPlanId", getRollPlanId())
            .append("productLine", getProductLine())
            .append("productLineName", getProductLineName())
            .append("areaCodeLarge", getAreaCodeLarge())
            .append("areaNameLarge", getAreaNameLarge())
            .append("areaCodeSmall", getAreaCodeSmall())
            .append("areaNameSmall", getAreaNameSmall())
            .append("planYear", getPlanYear())
            .append("planWeek", getPlanWeek())
            .append("lockWeeks", getLockWeeks())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
