package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.common.core.domain.entity.DhcArea;

/**
 * 区域Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface DhcAreaMapper 
{
    /**
     * 查询区域
     * 
     * @param areaId 区域主键
     * @return 区域
     */
    public DhcArea selectDhcAreaByAreaId(Long areaId);

    /**
     * 查询区域列表
     * 
     * @param dhcArea 区域
     * @return 区域集合
     */
    public List<DhcArea> selectDhcAreaList(DhcArea dhcArea);

    /**
     * 新增区域
     * 
     * @param dhcArea 区域
     * @return 结果
     */
    public int insertDhcArea(DhcArea dhcArea);

    /**
     * 修改区域
     * 
     * @param dhcArea 区域
     * @return 结果
     */
    public int updateDhcArea(DhcArea dhcArea);

    /**
     * 删除区域
     * 
     * @param areaId 区域主键
     * @return 结果
     */
    public int deleteDhcAreaByAreaId(Long areaId);

    /**
     * 批量删除区域
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcAreaByAreaIds(Long[] areaIds);

    /**
     * 查询区域数量
     *
     * @param dhcArea 区域
     * @return 区域集合
     */
    public Integer selectCount(DhcArea dhcArea);
}
