package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcBrand;

/**
 * 品牌Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface DhcBrandMapper 
{
    /**
     * 查询品牌
     * 
     * @param brandId 品牌主键
     * @return 品牌
     */
    public DhcBrand selectDhcBrandByBrandId(Long brandId);

    /**
     * 查询品牌列表
     * 
     * @param dhcBrand 品牌
     * @return 品牌集合
     */
    public List<DhcBrand> selectDhcBrandList(DhcBrand dhcBrand);

    /**
     * 新增品牌
     * 
     * @param dhcBrand 品牌
     * @return 结果
     */
    public int insertDhcBrand(DhcBrand dhcBrand);

    /**
     * 修改品牌
     * 
     * @param dhcBrand 品牌
     * @return 结果
     */
    public int updateDhcBrand(DhcBrand dhcBrand);

    /**
     * 删除品牌
     * 
     * @param brandId 品牌主键
     * @return 结果
     */
    public int deleteDhcBrandByBrandId(Long brandId);

    /**
     * 批量删除品牌
     * 
     * @param brandIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcBrandByBrandIds(Long[] brandIds);
}
