package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcRollPlanDetailRecord;

/**
 * 滚动计划明细历史记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public interface DhcRollPlanDetailRecordMapper 
{
    /**
     * 查询滚动计划明细历史记录
     * 
     * @param rollPlanDetailRecordId 滚动计划明细历史记录主键
     * @return 滚动计划明细历史记录
     */
    public DhcRollPlanDetailRecord selectDhcRollPlanDetailRecordByRollPlanDetailRecordId(Long rollPlanDetailRecordId);

    /**
     * 查询滚动计划明细历史记录列表
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 滚动计划明细历史记录集合
     */
    public List<DhcRollPlanDetailRecord> selectDhcRollPlanDetailRecordList(DhcRollPlanDetailRecord dhcRollPlanDetailRecord);

    /**
     * 新增滚动计划明细历史记录
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 结果
     */
    public int insertDhcRollPlanDetailRecord(DhcRollPlanDetailRecord dhcRollPlanDetailRecord);

    /**
     * 修改滚动计划明细历史记录
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 结果
     */
    public int updateDhcRollPlanDetailRecord(DhcRollPlanDetailRecord dhcRollPlanDetailRecord);

    /**
     * 删除滚动计划明细历史记录
     * 
     * @param rollPlanDetailRecordId 滚动计划明细历史记录主键
     * @return 结果
     */
    public int deleteDhcRollPlanDetailRecordByRollPlanDetailRecordId(Long rollPlanDetailRecordId);

    /**
     * 批量删除滚动计划明细历史记录
     * 
     * @param rollPlanDetailRecordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcRollPlanDetailRecordByRollPlanDetailRecordIds(Long[] rollPlanDetailRecordIds);
}
