package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcRollPlanTitle;

/**
 * 滚动计划头Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public interface DhcRollPlanTitleMapper 
{
    /**
     * 查询滚动计划头
     * 
     * @param rollPlanId 滚动计划头主键
     * @return 滚动计划头
     */
    public DhcRollPlanTitle selectDhcRollPlanTitleByRollPlanId(Long rollPlanId);

    /**
     * 查询滚动计划头列表
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 滚动计划头集合
     */
    public List<DhcRollPlanTitle> selectDhcRollPlanTitleList(DhcRollPlanTitle dhcRollPlanTitle);

    /**
     * 新增滚动计划头
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 结果
     */
    public int insertDhcRollPlanTitle(DhcRollPlanTitle dhcRollPlanTitle);

    /**
     * 修改滚动计划头
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 结果
     */
    public int updateDhcRollPlanTitle(DhcRollPlanTitle dhcRollPlanTitle);

    /**
     * 删除滚动计划头
     * 
     * @param rollPlanId 滚动计划头主键
     * @return 结果
     */
    public int deleteDhcRollPlanTitleByRollPlanId(Long rollPlanId);

    /**
     * 批量删除滚动计划头
     * 
     * @param rollPlanIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcRollPlanTitleByRollPlanIds(Long[] rollPlanIds);
}
