package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcBrand;

/**
 * 品牌Service接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface IDhcBrandService 
{
    /**
     * 查询品牌
     * 
     * @param brandId 品牌主键
     * @return 品牌
     */
    public DhcBrand selectDhcBrandByBrandId(Long brandId);

    /**
     * 查询品牌列表
     * 
     * @param dhcBrand 品牌
     * @return 品牌集合
     */
    public List<DhcBrand> selectDhcBrandList(DhcBrand dhcBrand);

    /**
     * 新增品牌
     * 
     * @param dhcBrand 品牌
     * @return 结果
     */
    public int insertDhcBrand(DhcBrand dhcBrand);

    /**
     * 修改品牌
     * 
     * @param dhcBrand 品牌
     * @return 结果
     */
    public int updateDhcBrand(DhcBrand dhcBrand);

    /**
     * 批量删除品牌
     * 
     * @param brandIds 需要删除的品牌主键集合
     * @return 结果
     */
    public int deleteDhcBrandByBrandIds(Long[] brandIds);

    /**
     * 删除品牌信息
     * 
     * @param brandId 品牌主键
     * @return 结果
     */
    public int deleteDhcBrandByBrandId(Long brandId);
}
