package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcCountry;

/**
 * 国家Service接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface IDhcCountryService 
{
    /**
     * 查询国家
     * 
     * @param countryId 国家主键
     * @return 国家
     */
    public DhcCountry selectDhcCountryByCountryId(Long countryId);

    /**
     * 查询国家列表
     * 
     * @param dhcCountry 国家
     * @return 国家集合
     */
    public List<DhcCountry> selectDhcCountryList(DhcCountry dhcCountry);

    /**
     * 新增国家
     * 
     * @param dhcCountry 国家
     * @return 结果
     */
    public int insertDhcCountry(DhcCountry dhcCountry);

    /**
     * 修改国家
     * 
     * @param dhcCountry 国家
     * @return 结果
     */
    public int updateDhcCountry(DhcCountry dhcCountry);

    /**
     * 批量删除国家
     * 
     * @param countryIds 需要删除的国家主键集合
     * @return 结果
     */
    public int deleteDhcCountryByCountryIds(Long[] countryIds);

    /**
     * 删除国家信息
     * 
     * @param countryId 国家主键
     * @return 结果
     */
    public int deleteDhcCountryByCountryId(Long countryId);
}
