package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductionBaseLine;

/**
 * 生产基地与产品线关系Service接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IDhcProductionBaseLineService 
{
    /**
     * 查询生产基地与产品线关系
     * 
     * @param productLineCode 生产基地与产品线关系主键
     * @return 生产基地与产品线关系
     */
    public DhcProductionBaseLine selectDhcProductionBaseLineByProductLineCode(String productLineCode);

    /**
     * 查询生产基地与产品线关系列表
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 生产基地与产品线关系集合
     */
    public List<DhcProductionBaseLine> selectDhcProductionBaseLineList(DhcProductionBaseLine dhcProductionBaseLine);

    /**
     * 新增生产基地与产品线关系
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 结果
     */
    public int insertDhcProductionBaseLine(DhcProductionBaseLine dhcProductionBaseLine);

    /**
     * 修改生产基地与产品线关系
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 结果
     */
    public int updateDhcProductionBaseLine(DhcProductionBaseLine dhcProductionBaseLine);

    /**
     * 批量删除生产基地与产品线关系
     * 
     * @param productLineCodes 需要删除的生产基地与产品线关系主键集合
     * @return 结果
     */
    public int deleteDhcProductionBaseLineByProductLineCodes(String[] productLineCodes);

    /**
     * 删除生产基地与产品线关系信息
     * 
     * @param productLineCode 生产基地与产品线关系主键
     * @return 结果
     */
    public int deleteDhcProductionBaseLineByProductLineCode(String productLineCode);
}
