package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcRollPlanDetail;

/**
 * 滚动计划明细Service接口
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IDhcRollPlanDetailService 
{
    /**
     * 查询滚动计划明细
     * 
     * @param rollPlanDetailId 滚动计划明细主键
     * @return 滚动计划明细
     */
    public DhcRollPlanDetail selectDhcRollPlanDetailByRollPlanDetailId(Long rollPlanDetailId);

    /**
     * 查询滚动计划明细列表
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 滚动计划明细集合
     */
    public List<DhcRollPlanDetail> selectDhcRollPlanDetailList(DhcRollPlanDetail dhcRollPlanDetail);

    /**
     * 新增滚动计划明细
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 结果
     */
    public int insertDhcRollPlanDetail(DhcRollPlanDetail dhcRollPlanDetail);

    /**
     * 修改滚动计划明细
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 结果
     */
    public int updateDhcRollPlanDetail(DhcRollPlanDetail dhcRollPlanDetail);

    /**
     * 批量删除滚动计划明细
     * 
     * @param rollPlanDetailIds 需要删除的滚动计划明细主键集合
     * @return 结果
     */
    public int deleteDhcRollPlanDetailByRollPlanDetailIds(Long[] rollPlanDetailIds);

    /**
     * 删除滚动计划明细信息
     * 
     * @param rollPlanDetailId 滚动计划明细主键
     * @return 结果
     */
    public int deleteDhcRollPlanDetailByRollPlanDetailId(Long rollPlanDetailId);
}
