package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcRollPlanTitleRecord;

/**
 * 滚动计划头历史记录Service接口
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IDhcRollPlanTitleRecordService 
{
    /**
     * 查询滚动计划头历史记录
     * 
     * @param rollPlanRecordId 滚动计划头历史记录主键
     * @return 滚动计划头历史记录
     */
    public DhcRollPlanTitleRecord selectDhcRollPlanTitleRecordByRollPlanRecordId(Long rollPlanRecordId);

    /**
     * 查询滚动计划头历史记录列表
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 滚动计划头历史记录集合
     */
    public List<DhcRollPlanTitleRecord> selectDhcRollPlanTitleRecordList(DhcRollPlanTitleRecord dhcRollPlanTitleRecord);

    /**
     * 新增滚动计划头历史记录
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 结果
     */
    public int insertDhcRollPlanTitleRecord(DhcRollPlanTitleRecord dhcRollPlanTitleRecord);

    /**
     * 修改滚动计划头历史记录
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 结果
     */
    public int updateDhcRollPlanTitleRecord(DhcRollPlanTitleRecord dhcRollPlanTitleRecord);

    /**
     * 批量删除滚动计划头历史记录
     * 
     * @param rollPlanRecordIds 需要删除的滚动计划头历史记录主键集合
     * @return 结果
     */
    public int deleteDhcRollPlanTitleRecordByRollPlanRecordIds(Long[] rollPlanRecordIds);

    /**
     * 删除滚动计划头历史记录信息
     * 
     * @param rollPlanRecordId 滚动计划头历史记录主键
     * @return 结果
     */
    public int deleteDhcRollPlanTitleRecordByRollPlanRecordId(Long rollPlanRecordId);
}
