package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcSupplier;

/**
 * 供应商信息Service接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface IDhcSupplierService 
{
    /**
     * 查询供应商信息
     * 
     * @param supplierId 供应商信息主键
     * @return 供应商信息
     */
    public DhcSupplier selectDhcSupplierBySupplierId(Long supplierId);

    /**
     * 查询供应商信息列表
     * 
     * @param dhcSupplier 供应商信息
     * @return 供应商信息集合
     */
    public List<DhcSupplier> selectDhcSupplierList(DhcSupplier dhcSupplier);

    /**
     * 新增供应商信息
     * 
     * @param dhcSupplier 供应商信息
     * @return 结果
     */
    public int insertDhcSupplier(DhcSupplier dhcSupplier);

    /**
     * 修改供应商信息
     * 
     * @param dhcSupplier 供应商信息
     * @return 结果
     */
    public int updateDhcSupplier(DhcSupplier dhcSupplier);

    /**
     * 批量删除供应商信息
     * 
     * @param supplierIds 需要删除的供应商信息主键集合
     * @return 结果
     */
    public int deleteDhcSupplierBySupplierIds(Long[] supplierIds);

    /**
     * 删除供应商信息信息
     * 
     * @param supplierId 供应商信息主键
     * @return 结果
     */
    public int deleteDhcSupplierBySupplierId(Long supplierId);
}
