package com.ruoyi.dhc.service.impl;

import java.util.List;

import com.ruoyi.dhc.mapper.DhcProductLineAreaMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.domain.DhcProductLineArea;
import com.ruoyi.dhc.service.IDhcProductLineAreaService;

/**
 * 产品线-区域类型-区域层级关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-30
 */
@Service
public class DhcProductLineAreaServiceImpl implements IDhcProductLineAreaService 
{
    @Autowired
    private DhcProductLineAreaMapper dhcProductLineAreaMapper;

    /**
     * 查询产品线-区域类型-区域层级关系
     * 
     * @param productLineCode 产品线-区域类型-区域层级关系主键
     * @return 产品线-区域类型-区域层级关系
     */
    @Override
    public DhcProductLineArea selectDhcProductLineAreaByProductLineCode(String productLineCode)
    {
        return dhcProductLineAreaMapper.selectDhcProductLineAreaByProductLineCode(productLineCode);
    }

    /**
     * 查询产品线-区域类型-区域层级关系列表
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 产品线-区域类型-区域层级关系
     */
    @Override
    public List<DhcProductLineArea> selectDhcProductLineAreaList(DhcProductLineArea dhcProductLineArea)
    {
        return dhcProductLineAreaMapper.selectDhcProductLineAreaList(dhcProductLineArea);
    }

    /**
     * 新增产品线-区域类型-区域层级关系
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 结果
     */
    @Override
    public int insertDhcProductLineArea(DhcProductLineArea dhcProductLineArea)
    {
        return dhcProductLineAreaMapper.insertDhcProductLineArea(dhcProductLineArea);
    }

    /**
     * 修改产品线-区域类型-区域层级关系
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 结果
     */
    @Override
    public int updateDhcProductLineArea(DhcProductLineArea dhcProductLineArea)
    {
        return dhcProductLineAreaMapper.updateDhcProductLineArea(dhcProductLineArea);
    }

    /**
     * 批量删除产品线-区域类型-区域层级关系
     * 
     * @param productLineCodes 需要删除的产品线-区域类型-区域层级关系主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductLineAreaByProductLineCodes(String[] productLineCodes)
    {
        return dhcProductLineAreaMapper.deleteDhcProductLineAreaByProductLineCodes(productLineCodes);
    }

    /**
     * 删除产品线-区域类型-区域层级关系信息
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductLineArea(DhcProductLineArea dhcProductLineArea)
    {
        return dhcProductLineAreaMapper.deleteDhcProductLineArea(dhcProductLineArea);
    }
}
