package com.ruoyi.dhc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductionBaseLineMapper;
import com.ruoyi.dhc.domain.DhcProductionBaseLine;
import com.ruoyi.dhc.service.IDhcProductionBaseLineService;

/**
 * 生产基地与产品线关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class DhcProductionBaseLineServiceImpl implements IDhcProductionBaseLineService 
{
    @Autowired
    private DhcProductionBaseLineMapper dhcProductionBaseLineMapper;

    /**
     * 查询生产基地与产品线关系
     * 
     * @param productLineCode 生产基地与产品线关系主键
     * @return 生产基地与产品线关系
     */
    @Override
    public DhcProductionBaseLine selectDhcProductionBaseLineByProductLineCode(String productLineCode)
    {
        return dhcProductionBaseLineMapper.selectDhcProductionBaseLineByProductLineCode(productLineCode);
    }

    /**
     * 查询生产基地与产品线关系列表
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 生产基地与产品线关系
     */
    @Override
    public List<DhcProductionBaseLine> selectDhcProductionBaseLineList(DhcProductionBaseLine dhcProductionBaseLine)
    {
        return dhcProductionBaseLineMapper.selectDhcProductionBaseLineList(dhcProductionBaseLine);
    }

    /**
     * 新增生产基地与产品线关系
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 结果
     */
    @Override
    public int insertDhcProductionBaseLine(DhcProductionBaseLine dhcProductionBaseLine)
    {
        return dhcProductionBaseLineMapper.insertDhcProductionBaseLine(dhcProductionBaseLine);
    }

    /**
     * 修改生产基地与产品线关系
     * 
     * @param dhcProductionBaseLine 生产基地与产品线关系
     * @return 结果
     */
    @Override
    public int updateDhcProductionBaseLine(DhcProductionBaseLine dhcProductionBaseLine)
    {
        return dhcProductionBaseLineMapper.updateDhcProductionBaseLine(dhcProductionBaseLine);
    }

    /**
     * 批量删除生产基地与产品线关系
     * 
     * @param productLineCodes 需要删除的生产基地与产品线关系主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductionBaseLineByProductLineCodes(String[] productLineCodes)
    {
        return dhcProductionBaseLineMapper.deleteDhcProductionBaseLineByProductLineCodes(productLineCodes);
    }

    /**
     * 删除生产基地与产品线关系信息
     * 
     * @param productLineCode 生产基地与产品线关系主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductionBaseLineByProductLineCode(String productLineCode)
    {
        return dhcProductionBaseLineMapper.deleteDhcProductionBaseLineByProductLineCode(productLineCode);
    }
}
