package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcRollPlanDetailRecordMapper;
import com.ruoyi.dhc.domain.DhcRollPlanDetailRecord;
import com.ruoyi.dhc.service.IDhcRollPlanDetailRecordService;

/**
 * 滚动计划明细历史记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Service
public class DhcRollPlanDetailRecordServiceImpl implements IDhcRollPlanDetailRecordService 
{
    @Autowired
    private DhcRollPlanDetailRecordMapper dhcRollPlanDetailRecordMapper;

    /**
     * 查询滚动计划明细历史记录
     * 
     * @param rollPlanDetailRecordId 滚动计划明细历史记录主键
     * @return 滚动计划明细历史记录
     */
    @Override
    public DhcRollPlanDetailRecord selectDhcRollPlanDetailRecordByRollPlanDetailRecordId(Long rollPlanDetailRecordId)
    {
        return dhcRollPlanDetailRecordMapper.selectDhcRollPlanDetailRecordByRollPlanDetailRecordId(rollPlanDetailRecordId);
    }

    /**
     * 查询滚动计划明细历史记录列表
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 滚动计划明细历史记录
     */
    @Override
    public List<DhcRollPlanDetailRecord> selectDhcRollPlanDetailRecordList(DhcRollPlanDetailRecord dhcRollPlanDetailRecord)
    {
        return dhcRollPlanDetailRecordMapper.selectDhcRollPlanDetailRecordList(dhcRollPlanDetailRecord);
    }

    /**
     * 新增滚动计划明细历史记录
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 结果
     */
    @Override
    public int insertDhcRollPlanDetailRecord(DhcRollPlanDetailRecord dhcRollPlanDetailRecord)
    {
        dhcRollPlanDetailRecord.setCreateTime(DateUtils.getNowDate());
        return dhcRollPlanDetailRecordMapper.insertDhcRollPlanDetailRecord(dhcRollPlanDetailRecord);
    }

    /**
     * 修改滚动计划明细历史记录
     * 
     * @param dhcRollPlanDetailRecord 滚动计划明细历史记录
     * @return 结果
     */
    @Override
    public int updateDhcRollPlanDetailRecord(DhcRollPlanDetailRecord dhcRollPlanDetailRecord)
    {
        dhcRollPlanDetailRecord.setUpdateTime(DateUtils.getNowDate());
        return dhcRollPlanDetailRecordMapper.updateDhcRollPlanDetailRecord(dhcRollPlanDetailRecord);
    }

    /**
     * 批量删除滚动计划明细历史记录
     * 
     * @param rollPlanDetailRecordIds 需要删除的滚动计划明细历史记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanDetailRecordByRollPlanDetailRecordIds(Long[] rollPlanDetailRecordIds)
    {
        return dhcRollPlanDetailRecordMapper.deleteDhcRollPlanDetailRecordByRollPlanDetailRecordIds(rollPlanDetailRecordIds);
    }

    /**
     * 删除滚动计划明细历史记录信息
     * 
     * @param rollPlanDetailRecordId 滚动计划明细历史记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanDetailRecordByRollPlanDetailRecordId(Long rollPlanDetailRecordId)
    {
        return dhcRollPlanDetailRecordMapper.deleteDhcRollPlanDetailRecordByRollPlanDetailRecordId(rollPlanDetailRecordId);
    }
}
