package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcRollPlanDetailMapper;
import com.ruoyi.dhc.domain.DhcRollPlanDetail;
import com.ruoyi.dhc.service.IDhcRollPlanDetailService;

/**
 * 滚动计划明细Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Service
public class DhcRollPlanDetailServiceImpl implements IDhcRollPlanDetailService 
{
    @Autowired
    private DhcRollPlanDetailMapper dhcRollPlanDetailMapper;

    /**
     * 查询滚动计划明细
     * 
     * @param rollPlanDetailId 滚动计划明细主键
     * @return 滚动计划明细
     */
    @Override
    public DhcRollPlanDetail selectDhcRollPlanDetailByRollPlanDetailId(Long rollPlanDetailId)
    {
        return dhcRollPlanDetailMapper.selectDhcRollPlanDetailByRollPlanDetailId(rollPlanDetailId);
    }

    /**
     * 查询滚动计划明细列表
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 滚动计划明细
     */
    @Override
    public List<DhcRollPlanDetail> selectDhcRollPlanDetailList(DhcRollPlanDetail dhcRollPlanDetail)
    {
        return dhcRollPlanDetailMapper.selectDhcRollPlanDetailList(dhcRollPlanDetail);
    }

    /**
     * 新增滚动计划明细
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 结果
     */
    @Override
    public int insertDhcRollPlanDetail(DhcRollPlanDetail dhcRollPlanDetail)
    {
        dhcRollPlanDetail.setCreateTime(DateUtils.getNowDate());
        return dhcRollPlanDetailMapper.insertDhcRollPlanDetail(dhcRollPlanDetail);
    }

    /**
     * 修改滚动计划明细
     * 
     * @param dhcRollPlanDetail 滚动计划明细
     * @return 结果
     */
    @Override
    public int updateDhcRollPlanDetail(DhcRollPlanDetail dhcRollPlanDetail)
    {
        dhcRollPlanDetail.setUpdateTime(DateUtils.getNowDate());
        return dhcRollPlanDetailMapper.updateDhcRollPlanDetail(dhcRollPlanDetail);
    }

    /**
     * 批量删除滚动计划明细
     * 
     * @param rollPlanDetailIds 需要删除的滚动计划明细主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanDetailByRollPlanDetailIds(Long[] rollPlanDetailIds)
    {
        return dhcRollPlanDetailMapper.deleteDhcRollPlanDetailByRollPlanDetailIds(rollPlanDetailIds);
    }

    /**
     * 删除滚动计划明细信息
     * 
     * @param rollPlanDetailId 滚动计划明细主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanDetailByRollPlanDetailId(Long rollPlanDetailId)
    {
        return dhcRollPlanDetailMapper.deleteDhcRollPlanDetailByRollPlanDetailId(rollPlanDetailId);
    }
}
