package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcRollPlanTitleRecordMapper;
import com.ruoyi.dhc.domain.DhcRollPlanTitleRecord;
import com.ruoyi.dhc.service.IDhcRollPlanTitleRecordService;

/**
 * 滚动计划头历史记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Service
public class DhcRollPlanTitleRecordServiceImpl implements IDhcRollPlanTitleRecordService 
{
    @Autowired
    private DhcRollPlanTitleRecordMapper dhcRollPlanTitleRecordMapper;

    /**
     * 查询滚动计划头历史记录
     * 
     * @param rollPlanRecordId 滚动计划头历史记录主键
     * @return 滚动计划头历史记录
     */
    @Override
    public DhcRollPlanTitleRecord selectDhcRollPlanTitleRecordByRollPlanRecordId(Long rollPlanRecordId)
    {
        return dhcRollPlanTitleRecordMapper.selectDhcRollPlanTitleRecordByRollPlanRecordId(rollPlanRecordId);
    }

    /**
     * 查询滚动计划头历史记录列表
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 滚动计划头历史记录
     */
    @Override
    public List<DhcRollPlanTitleRecord> selectDhcRollPlanTitleRecordList(DhcRollPlanTitleRecord dhcRollPlanTitleRecord)
    {
        return dhcRollPlanTitleRecordMapper.selectDhcRollPlanTitleRecordList(dhcRollPlanTitleRecord);
    }

    /**
     * 新增滚动计划头历史记录
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 结果
     */
    @Override
    public int insertDhcRollPlanTitleRecord(DhcRollPlanTitleRecord dhcRollPlanTitleRecord)
    {
        dhcRollPlanTitleRecord.setCreateTime(DateUtils.getNowDate());
        return dhcRollPlanTitleRecordMapper.insertDhcRollPlanTitleRecord(dhcRollPlanTitleRecord);
    }

    /**
     * 修改滚动计划头历史记录
     * 
     * @param dhcRollPlanTitleRecord 滚动计划头历史记录
     * @return 结果
     */
    @Override
    public int updateDhcRollPlanTitleRecord(DhcRollPlanTitleRecord dhcRollPlanTitleRecord)
    {
        dhcRollPlanTitleRecord.setUpdateTime(DateUtils.getNowDate());
        return dhcRollPlanTitleRecordMapper.updateDhcRollPlanTitleRecord(dhcRollPlanTitleRecord);
    }

    /**
     * 批量删除滚动计划头历史记录
     * 
     * @param rollPlanRecordIds 需要删除的滚动计划头历史记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanTitleRecordByRollPlanRecordIds(Long[] rollPlanRecordIds)
    {
        return dhcRollPlanTitleRecordMapper.deleteDhcRollPlanTitleRecordByRollPlanRecordIds(rollPlanRecordIds);
    }

    /**
     * 删除滚动计划头历史记录信息
     * 
     * @param rollPlanRecordId 滚动计划头历史记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanTitleRecordByRollPlanRecordId(Long rollPlanRecordId)
    {
        return dhcRollPlanTitleRecordMapper.deleteDhcRollPlanTitleRecordByRollPlanRecordId(rollPlanRecordId);
    }
}
