package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcRollPlanTitleMapper;
import com.ruoyi.dhc.domain.DhcRollPlanTitle;
import com.ruoyi.dhc.service.IDhcRollPlanTitleService;

/**
 * 滚动计划头Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Service
public class DhcRollPlanTitleServiceImpl implements IDhcRollPlanTitleService 
{
    @Autowired
    private DhcRollPlanTitleMapper dhcRollPlanTitleMapper;

    /**
     * 查询滚动计划头
     * 
     * @param rollPlanId 滚动计划头主键
     * @return 滚动计划头
     */
    @Override
    public DhcRollPlanTitle selectDhcRollPlanTitleByRollPlanId(Long rollPlanId)
    {
        return dhcRollPlanTitleMapper.selectDhcRollPlanTitleByRollPlanId(rollPlanId);
    }

    /**
     * 查询滚动计划头列表
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 滚动计划头
     */
    @Override
    public List<DhcRollPlanTitle> selectDhcRollPlanTitleList(DhcRollPlanTitle dhcRollPlanTitle)
    {
        return dhcRollPlanTitleMapper.selectDhcRollPlanTitleList(dhcRollPlanTitle);
    }

    /**
     * 新增滚动计划头
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 结果
     */
    @Override
    public int insertDhcRollPlanTitle(DhcRollPlanTitle dhcRollPlanTitle)
    {
        dhcRollPlanTitle.setCreateTime(DateUtils.getNowDate());
        return dhcRollPlanTitleMapper.insertDhcRollPlanTitle(dhcRollPlanTitle);
    }

    /**
     * 修改滚动计划头
     * 
     * @param dhcRollPlanTitle 滚动计划头
     * @return 结果
     */
    @Override
    public int updateDhcRollPlanTitle(DhcRollPlanTitle dhcRollPlanTitle)
    {
        dhcRollPlanTitle.setUpdateTime(DateUtils.getNowDate());
        return dhcRollPlanTitleMapper.updateDhcRollPlanTitle(dhcRollPlanTitle);
    }

    /**
     * 批量删除滚动计划头
     * 
     * @param rollPlanIds 需要删除的滚动计划头主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanTitleByRollPlanIds(Long[] rollPlanIds)
    {
        return dhcRollPlanTitleMapper.deleteDhcRollPlanTitleByRollPlanIds(rollPlanIds);
    }

    /**
     * 删除滚动计划头信息
     * 
     * @param rollPlanId 滚动计划头主键
     * @return 结果
     */
    @Override
    public int deleteDhcRollPlanTitleByRollPlanId(Long rollPlanId)
    {
        return dhcRollPlanTitleMapper.deleteDhcRollPlanTitleByRollPlanId(rollPlanId);
    }

    @Override
    public String init(DhcRollPlanTitle params) {



        return "OK";
    }
}
