package com.ruoyi.dhc.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品信息对象 dhc_product
 * 
 * @author ruoyi
 * @date 2024-10-08
 */
public class DhcProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品id */
    private Long productId;

    /** 产品线编码 */
    @Excel(name = "产品线编码")
    private String productLine;

    /** 产品线名称 */
    @Excel(name = "产品线名称")
    private String productLineName;

    /** 立项单号 */
    @Excel(name = "立项单号")
    private String projectNum;

    /** 内部型号 */
    @Excel(name = "内部型号")
    private String internalModel;

    /** 产品大类编码 */
    @Excel(name = "产品大类编码")
    private String productCategoryLarge;

    /** 产品中类编码 */
    @Excel(name = "产品中类编码")
    private String productCategoryMiddle;

    /** 产品小类编码 */
    @Excel(name = "产品小类编码")
    private String productCategorySmall;

    /** 产品品类 */
    @Excel(name = "产品品类")
    private String productCategory;

    /** 产品系列 */
    @Excel(name = "产品系列")
    private String productSeries;

    /** 基础型号 */
    @Excel(name = "基础型号")
    private String baseModel;

    /** 本厂型号 */
    @Excel(name = "本厂型号")
    private String factoryModel;

    /** 客户型号 */
    @Excel(name = "客户型号")
    private String customerModel;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** IR时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "IR时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date irDatetime;

    /** DR时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "DR时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date drDatetime;

    /** 包装方式 */
    @Excel(name = "包装方式")
    private String packWayCode;

    /** 净重 */
    @Excel(name = "净重")
    private BigDecimal productNetWeight;

    /** 产品尺寸-长 */
    @Excel(name = "产品尺寸-长")
    private BigDecimal productLength;

    /** 产品尺寸-宽 */
    @Excel(name = "产品尺寸-宽")
    private BigDecimal productWidth;

    /** 产品尺寸-高 */
    @Excel(name = "产品尺寸-高")
    private BigDecimal productHeight;

    /** 装柜数量-20GP */
    @Excel(name = "装柜数量-20GP")
    private Long loadingQuantity20gp;

    /** 装柜数量-40GP */
    @Excel(name = "装柜数量-40GP")
    private Long loadingQuantity40gp;

    /** 装柜数量-40HQ */
    @Excel(name = "装柜数量-40HQ")
    private Long loadingQuantity40hq;

    /** 最小订单量 */
    @Excel(name = "最小订单量")
    private Long minOrderQuantity;

    /** 其他要求 */
    @Excel(name = "其他要求")
    private String otherRequirement;

    /** 型号状态（0草稿 1在售 2下市 3冻结） */
    @Excel(name = "型号状态", readConverterExp = "0=草稿,1=在售,2=下市,3=冻结")
    private String STATUS;

    /** 审核状态（0审批中 1已通过 2已驳回） */
    @Excel(name = "审核状态", readConverterExp = "0=审批中,1=已通过,2=已驳回")
    private String approveStatus;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setProductLine(String productLine) 
    {
        this.productLine = productLine;
    }

    public String getProductLine() 
    {
        return productLine;
    }
    public void setProductLineName(String productLineName) 
    {
        this.productLineName = productLineName;
    }

    public String getProductLineName() 
    {
        return productLineName;
    }
    public void setProjectNum(String projectNum) 
    {
        this.projectNum = projectNum;
    }

    public String getProjectNum() 
    {
        return projectNum;
    }
    public void setInternalModel(String internalModel) 
    {
        this.internalModel = internalModel;
    }

    public String getInternalModel() 
    {
        return internalModel;
    }
    public void setProductCategoryLarge(String productCategoryLarge) 
    {
        this.productCategoryLarge = productCategoryLarge;
    }

    public String getProductCategoryLarge() 
    {
        return productCategoryLarge;
    }
    public void setProductCategoryMiddle(String productCategoryMiddle) 
    {
        this.productCategoryMiddle = productCategoryMiddle;
    }

    public String getProductCategoryMiddle() 
    {
        return productCategoryMiddle;
    }
    public void setProductCategorySmall(String productCategorySmall) 
    {
        this.productCategorySmall = productCategorySmall;
    }

    public String getProductCategorySmall() 
    {
        return productCategorySmall;
    }
    public void setProductCategory(String productCategory) 
    {
        this.productCategory = productCategory;
    }

    public String getProductCategory() 
    {
        return productCategory;
    }
    public void setProductSeries(String productSeries) 
    {
        this.productSeries = productSeries;
    }

    public String getProductSeries() 
    {
        return productSeries;
    }
    public void setBaseModel(String baseModel) 
    {
        this.baseModel = baseModel;
    }

    public String getBaseModel() 
    {
        return baseModel;
    }
    public void setFactoryModel(String factoryModel) 
    {
        this.factoryModel = factoryModel;
    }

    public String getFactoryModel() 
    {
        return factoryModel;
    }
    public void setCustomerModel(String customerModel) 
    {
        this.customerModel = customerModel;
    }

    public String getCustomerModel() 
    {
        return customerModel;
    }
    public void setBrandId(Long brandId) 
    {
        this.brandId = brandId;
    }

    public Long getBrandId() 
    {
        return brandId;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setIrDatetime(Date irDatetime) 
    {
        this.irDatetime = irDatetime;
    }

    public Date getIrDatetime() 
    {
        return irDatetime;
    }
    public void setDrDatetime(Date drDatetime) 
    {
        this.drDatetime = drDatetime;
    }

    public Date getDrDatetime() 
    {
        return drDatetime;
    }
    public void setPackWayCode(String packWayCode) 
    {
        this.packWayCode = packWayCode;
    }

    public String getPackWayCode() 
    {
        return packWayCode;
    }
    public void setProductNetWeight(BigDecimal productNetWeight) 
    {
        this.productNetWeight = productNetWeight;
    }

    public BigDecimal getProductNetWeight() 
    {
        return productNetWeight;
    }
    public void setProductLength(BigDecimal productLength) 
    {
        this.productLength = productLength;
    }

    public BigDecimal getProductLength() 
    {
        return productLength;
    }
    public void setProductWidth(BigDecimal productWidth) 
    {
        this.productWidth = productWidth;
    }

    public BigDecimal getProductWidth() 
    {
        return productWidth;
    }
    public void setProductHeight(BigDecimal productHeight) 
    {
        this.productHeight = productHeight;
    }

    public BigDecimal getProductHeight() 
    {
        return productHeight;
    }
    public void setLoadingQuantity20gp(Long loadingQuantity20gp) 
    {
        this.loadingQuantity20gp = loadingQuantity20gp;
    }

    public Long getLoadingQuantity20gp() 
    {
        return loadingQuantity20gp;
    }
    public void setLoadingQuantity40gp(Long loadingQuantity40gp) 
    {
        this.loadingQuantity40gp = loadingQuantity40gp;
    }

    public Long getLoadingQuantity40gp() 
    {
        return loadingQuantity40gp;
    }
    public void setLoadingQuantity40hq(Long loadingQuantity40hq) 
    {
        this.loadingQuantity40hq = loadingQuantity40hq;
    }

    public Long getLoadingQuantity40hq() 
    {
        return loadingQuantity40hq;
    }
    public void setMinOrderQuantity(Long minOrderQuantity) 
    {
        this.minOrderQuantity = minOrderQuantity;
    }

    public Long getMinOrderQuantity() 
    {
        return minOrderQuantity;
    }
    public void setOtherRequirement(String otherRequirement) 
    {
        this.otherRequirement = otherRequirement;
    }

    public String getOtherRequirement() 
    {
        return otherRequirement;
    }
    public void setSTATUS(String STATUS) 
    {
        this.STATUS = STATUS;
    }

    public String getSTATUS() 
    {
        return STATUS;
    }
    public void setApproveStatus(String approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public String getApproveStatus() 
    {
        return approveStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productId", getProductId())
            .append("productLine", getProductLine())
            .append("productLineName", getProductLineName())
            .append("projectNum", getProjectNum())
            .append("internalModel", getInternalModel())
            .append("productCategoryLarge", getProductCategoryLarge())
            .append("productCategoryMiddle", getProductCategoryMiddle())
            .append("productCategorySmall", getProductCategorySmall())
            .append("productCategory", getProductCategory())
            .append("productSeries", getProductSeries())
            .append("baseModel", getBaseModel())
            .append("factoryModel", getFactoryModel())
            .append("customerModel", getCustomerModel())
            .append("brandId", getBrandId())
            .append("brandName", getBrandName())
            .append("irDatetime", getIrDatetime())
            .append("drDatetime", getDrDatetime())
            .append("packWayCode", getPackWayCode())
            .append("productNetWeight", getProductNetWeight())
            .append("productLength", getProductLength())
            .append("productWidth", getProductWidth())
            .append("productHeight", getProductHeight())
            .append("loadingQuantity20gp", getLoadingQuantity20gp())
            .append("loadingQuantity40gp", getLoadingQuantity40gp())
            .append("loadingQuantity40hq", getLoadingQuantity40hq())
            .append("minOrderQuantity", getMinOrderQuantity())
            .append("otherRequirement", getOtherRequirement())
            .append("STATUS", getSTATUS())
            .append("approveStatus", getApproveStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
