package com.ruoyi.dhc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品审核记录对象 dhc_product_approve_record
 * 
 * @author ruoyi
 * @date 2024-10-08
 */
public class DhcProductApproveRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long approveRecordId;

    /** 产品id */
    @Excel(name = "产品id")
    private Long productId;

    /** 审核人编码 */
    @Excel(name = "审核人编码")
    private String approveUserCode;

    /** 审核人名称 */
    @Excel(name = "审核人名称")
    private String approveUserName;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveDatetime;

    /** 审核动作（0驳回 1通过） */
    @Excel(name = "审核动作", readConverterExp = "0=驳回,1=通过")
    private String approveAction;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String approveAdvice;

    public void setApproveRecordId(Long approveRecordId) 
    {
        this.approveRecordId = approveRecordId;
    }

    public Long getApproveRecordId() 
    {
        return approveRecordId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setApproveUserCode(String approveUserCode) 
    {
        this.approveUserCode = approveUserCode;
    }

    public String getApproveUserCode() 
    {
        return approveUserCode;
    }
    public void setApproveUserName(String approveUserName) 
    {
        this.approveUserName = approveUserName;
    }

    public String getApproveUserName() 
    {
        return approveUserName;
    }
    public void setApproveDatetime(Date approveDatetime) 
    {
        this.approveDatetime = approveDatetime;
    }

    public Date getApproveDatetime() 
    {
        return approveDatetime;
    }
    public void setApproveAction(String approveAction) 
    {
        this.approveAction = approveAction;
    }

    public String getApproveAction() 
    {
        return approveAction;
    }
    public void setApproveAdvice(String approveAdvice) 
    {
        this.approveAdvice = approveAdvice;
    }

    public String getApproveAdvice() 
    {
        return approveAdvice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("approveRecordId", getApproveRecordId())
            .append("productId", getProductId())
            .append("approveUserCode", getApproveUserCode())
            .append("approveUserName", getApproveUserName())
            .append("approveDatetime", getApproveDatetime())
            .append("approveAction", getApproveAction())
            .append("approveAdvice", getApproveAdvice())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
