package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品属性取值对象 dhc_product_property_value
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class DhcProductPropertyValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long productPropertyId;

    /** 产品id */
    @Excel(name = "产品id")
    private Long productId;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 显示名称 */
    @Excel(name = "显示名称")
    private String propertyName;

    /** 属性类型(INT,TEXT,ENUM,DATE) */
    @Excel(name = "属性类型(INT,TEXT,ENUM,DATE)")
    private String propertyType;

    /** 属性关联数据字典CODE */
    @Excel(name = "属性关联数据字典CODE")
    private String propertyDictCode;

    /** 属性名称（字段英文标识符） */
    @Excel(name = "属性名称", readConverterExp = "字=段英文标识符")
    private String fieldName;

    /** 属性值（以字符串形式存储） */
    @Excel(name = "属性值", readConverterExp = "以=字符串形式存储")
    private String propertyValue;

    /** 属性显示名称（仅数据字典有效） */
    @Excel(name = "属性显示名称", readConverterExp = "仅=数据字典有效")
    private String propertyValueName;

    public void setProductPropertyId(Long productPropertyId) 
    {
        this.productPropertyId = productPropertyId;
    }

    public Long getProductPropertyId() 
    {
        return productPropertyId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setPropertyName(String propertyName) 
    {
        this.propertyName = propertyName;
    }

    public String getPropertyName() 
    {
        return propertyName;
    }
    public void setPropertyType(String propertyType) 
    {
        this.propertyType = propertyType;
    }

    public String getPropertyType() 
    {
        return propertyType;
    }
    public void setPropertyDictCode(String propertyDictCode) 
    {
        this.propertyDictCode = propertyDictCode;
    }

    public String getPropertyDictCode() 
    {
        return propertyDictCode;
    }
    public void setFieldName(String fieldName) 
    {
        this.fieldName = fieldName;
    }

    public String getFieldName() 
    {
        return fieldName;
    }
    public void setPropertyValue(String propertyValue) 
    {
        this.propertyValue = propertyValue;
    }

    public String getPropertyValue() 
    {
        return propertyValue;
    }
    public void setPropertyValueName(String propertyValueName) 
    {
        this.propertyValueName = propertyValueName;
    }

    public String getPropertyValueName() 
    {
        return propertyValueName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productPropertyId", getProductPropertyId())
            .append("productId", getProductId())
            .append("groupName", getGroupName())
            .append("propertyName", getPropertyName())
            .append("propertyType", getPropertyType())
            .append("propertyDictCode", getPropertyDictCode())
            .append("fieldName", getFieldName())
            .append("propertyValue", getPropertyValue())
            .append("propertyValueName", getPropertyValueName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
