package com.ruoyi.dhc.mapper;

import com.ruoyi.dhc.domain.DhcDataAuth;
import com.ruoyi.dhc.domain.DhcDataAuthDetail;

import java.util.List;

/**
 * 数据权限Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-01
 */
public interface DhcDataAuthMapper 
{
    /**
     * 查询数据权限
     * 
     * @param dataAuthId 数据权限主键
     * @return 数据权限
     */
    public DhcDataAuth selectDhcDataAuthByDataAuthId(Long dataAuthId);

    /**
     * 查询数据权限列表
     * 
     * @param dhcDataAuth 数据权限
     * @return 数据权限集合
     */
    public List<DhcDataAuth> selectDhcDataAuthList(DhcDataAuth dhcDataAuth);

    /**
     * 新增数据权限
     * 
     * @param dhcDataAuth 数据权限
     * @return 结果
     */
    public int insertDhcDataAuth(DhcDataAuth dhcDataAuth);

    /**
     * 修改数据权限
     * 
     * @param dhcDataAuth 数据权限
     * @return 结果
     */
    public int updateDhcDataAuth(DhcDataAuth dhcDataAuth);

    /**
     * 删除数据权限
     * 
     * @param dataAuthId 数据权限主键
     * @return 结果
     */
    public int deleteDhcDataAuthByDataAuthId(Long dataAuthId);

    /**
     * 批量删除数据权限
     * 
     * @param dataAuthIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcDataAuthByDataAuthIds(Long[] dataAuthIds);

    /**
     * 批量删除数据权限明细
     *
     * @param dhcDataAuth 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataAuthDetailByDataAuthIds(DhcDataAuth dhcDataAuth);

    /**
     * 批量新增数据权限明细
     *
     * @param list 数据权限明细列表
     * @return 结果
     */
    public int batchAddDataAuthDetail(List<DhcDataAuthDetail> list);
    /**
     * 查询数据权限明细
     *
     * @param dhcDataAuth 数据权限明细列表
     * @return 结果
     */
    public List<DhcDataAuthDetail> selectDhcDataAuthDetailList(DhcDataAuth dhcDataAuth);

    /**
     * 查询数据权限列表
     *
     * @param dhcDataAuth 数据权限
     * @return 数据权限集合
     */
    public List<DhcDataAuth> selectDhcDataAuthByPage(DhcDataAuth dhcDataAuth);
    /**
     * 删除数据权限明细
     *
     * @param detail 数据权限明细列表
     * @return 结果
     */
    public int deleteDataAuthDetail(DhcDataAuthDetail detail);
    /**
     * 查询数据权限明细
     *
     * @param detail 数据权限明细列表
     * @return 结果
     */
    public int selectDataAuthDetailCount(DhcDataAuthDetail detail);
}
