package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductApproveRecord;

/**
 * 产品审核记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-08
 */
public interface DhcProductApproveRecordMapper 
{
    /**
     * 查询产品审核记录
     * 
     * @param approveRecordId 产品审核记录主键
     * @return 产品审核记录
     */
    public DhcProductApproveRecord selectDhcProductApproveRecordByApproveRecordId(Long approveRecordId);

    /**
     * 查询产品审核记录列表
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 产品审核记录集合
     */
    public List<DhcProductApproveRecord> selectDhcProductApproveRecordList(DhcProductApproveRecord dhcProductApproveRecord);

    /**
     * 新增产品审核记录
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 结果
     */
    public int insertDhcProductApproveRecord(DhcProductApproveRecord dhcProductApproveRecord);

    /**
     * 修改产品审核记录
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 结果
     */
    public int updateDhcProductApproveRecord(DhcProductApproveRecord dhcProductApproveRecord);

    /**
     * 删除产品审核记录
     * 
     * @param approveRecordId 产品审核记录主键
     * @return 结果
     */
    public int deleteDhcProductApproveRecordByApproveRecordId(Long approveRecordId);

    /**
     * 批量删除产品审核记录
     * 
     * @param approveRecordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcProductApproveRecordByApproveRecordIds(Long[] approveRecordIds);
}
