package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProduct;

/**
 * 产品信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-08
 */
public interface DhcProductMapper 
{
    /**
     * 查询产品信息
     * 
     * @param productId 产品信息主键
     * @return 产品信息
     */
    public DhcProduct selectDhcProductByProductId(Long productId);

    /**
     * 查询产品信息列表
     * 
     * @param dhcProduct 产品信息
     * @return 产品信息集合
     */
    public List<DhcProduct> selectDhcProductList(DhcProduct dhcProduct);

    /**
     * 新增产品信息
     * 
     * @param dhcProduct 产品信息
     * @return 结果
     */
    public int insertDhcProduct(DhcProduct dhcProduct);

    /**
     * 修改产品信息
     * 
     * @param dhcProduct 产品信息
     * @return 结果
     */
    public int updateDhcProduct(DhcProduct dhcProduct);

    /**
     * 删除产品信息
     * 
     * @param productId 产品信息主键
     * @return 结果
     */
    public int deleteDhcProductByProductId(Long productId);

    /**
     * 批量删除产品信息
     * 
     * @param productIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcProductByProductIds(Long[] productIds);
}
