package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductPropertyTable;

/**
 * 产品属性模板Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public interface DhcProductPropertyTableMapper 
{
    /**
     * 查询产品属性模板
     * 
     * @param productPropertyTableId 产品属性模板主键
     * @return 产品属性模板
     */
    public DhcProductPropertyTable selectDhcProductPropertyTableByProductPropertyTableId(Long productPropertyTableId);

    /**
     * 查询产品属性模板列表
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 产品属性模板集合
     */
    public List<DhcProductPropertyTable> selectDhcProductPropertyTableList(DhcProductPropertyTable dhcProductPropertyTable);

    /**
     * 新增产品属性模板
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 结果
     */
    public int insertDhcProductPropertyTable(DhcProductPropertyTable dhcProductPropertyTable);

    /**
     * 修改产品属性模板
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 结果
     */
    public int updateDhcProductPropertyTable(DhcProductPropertyTable dhcProductPropertyTable);

    /**
     * 删除产品属性模板
     * 
     * @param productPropertyTableId 产品属性模板主键
     * @return 结果
     */
    public int deleteDhcProductPropertyTableByProductPropertyTableId(Long productPropertyTableId);

    /**
     * 批量删除产品属性模板
     * 
     * @param productPropertyTableIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcProductPropertyTableByProductPropertyTableIds(Long[] productPropertyTableIds);
}
