package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcDataAuth;
import com.ruoyi.dhc.domain.DhcDataAuthDetail;

/**
 * 数据权限Service接口
 * 
 * @author ruoyi
 * @date 2024-08-01
 */
public interface IDhcDataAuthService 
{
    /**
     * 查询数据权限
     * 
     * @param dataAuthId 数据权限主键
     * @return 数据权限
     */
    public DhcDataAuth selectDhcDataAuthByDataAuthId(Long dataAuthId);

    /**
     * 查询数据权限列表
     * 
     * @param dhcDataAuth 数据权限
     * @return 数据权限集合
     */
    public List<DhcDataAuth> selectDhcDataAuthList(DhcDataAuth dhcDataAuth);

    /**
     * 新增数据权限
     * 
     * @param dhcDataAuth 数据权限
     * @return 结果
     */
    public int insertDhcDataAuth(DhcDataAuth dhcDataAuth);

    /**
     * 修改数据权限
     * 
     * @param dhcDataAuth 数据权限
     * @return 结果
     */
    public int updateDhcDataAuth(DhcDataAuth dhcDataAuth);

    /**
     * 批量删除数据权限
     * 
     * @param dataAuthIds 需要删除的数据权限主键集合
     * @return 结果
     */
    public int deleteDhcDataAuthByDataAuthIds(Long[] dataAuthIds);

    /**
     * 删除数据权限信息
     * 
     * @param detailList
     * @return 结果
     */
    public int deleteDhcDataAuth(List<DhcDataAuthDetail> detailList);

    /**
     * 查询数据权限列表
     *
     * @param dhcDataAuth 数据权限
     * @return 数据权限集合
     */
    public List<DhcDataAuth> selectDhcDataAuthByPage(DhcDataAuth dhcDataAuth);

    int insertDhcDataAuthBatch(List<DhcDataAuth> dhcDataAuth);
}
