package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductPropertyDef;

/**
 * 产品属性定义Service接口
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IDhcProductPropertyDefService 
{
    /**
     * 查询产品属性定义
     * 
     * @param productPropertyDefId 产品属性定义主键
     * @return 产品属性定义
     */
    public DhcProductPropertyDef selectDhcProductPropertyDefByProductPropertyDefId(Long productPropertyDefId);

    /**
     * 查询产品属性定义列表
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 产品属性定义集合
     */
    public List<DhcProductPropertyDef> selectDhcProductPropertyDefList(DhcProductPropertyDef dhcProductPropertyDef);

    /**
     * 新增产品属性定义
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 结果
     */
    public int insertDhcProductPropertyDef(DhcProductPropertyDef dhcProductPropertyDef);

    /**
     * 修改产品属性定义
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 结果
     */
    public int updateDhcProductPropertyDef(DhcProductPropertyDef dhcProductPropertyDef);

    /**
     * 批量删除产品属性定义
     * 
     * @param productPropertyDefIds 需要删除的产品属性定义主键集合
     * @return 结果
     */
    public int deleteDhcProductPropertyDefByProductPropertyDefIds(Long[] productPropertyDefIds);

    /**
     * 删除产品属性定义信息
     * 
     * @param productPropertyDefId 产品属性定义主键
     * @return 结果
     */
    public int deleteDhcProductPropertyDefByProductPropertyDefId(Long productPropertyDefId);
}
