package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductPropertyTableRel;

/**
 * 产品属性模板关联Service接口
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IDhcProductPropertyTableRelService 
{
    /**
     * 查询产品属性模板关联
     * 
     * @param productPropertyTableRelId 产品属性模板关联主键
     * @return 产品属性模板关联
     */
    public DhcProductPropertyTableRel selectDhcProductPropertyTableRelByProductPropertyTableRelId(Long productPropertyTableRelId);

    /**
     * 查询产品属性模板关联列表
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 产品属性模板关联集合
     */
    public List<DhcProductPropertyTableRel> selectDhcProductPropertyTableRelList(DhcProductPropertyTableRel dhcProductPropertyTableRel);

    /**
     * 新增产品属性模板关联
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 结果
     */
    public int insertDhcProductPropertyTableRel(DhcProductPropertyTableRel dhcProductPropertyTableRel);

    /**
     * 修改产品属性模板关联
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 结果
     */
    public int updateDhcProductPropertyTableRel(DhcProductPropertyTableRel dhcProductPropertyTableRel);

    /**
     * 批量删除产品属性模板关联
     * 
     * @param productPropertyTableRelIds 需要删除的产品属性模板关联主键集合
     * @return 结果
     */
    public int deleteDhcProductPropertyTableRelByProductPropertyTableRelIds(Long[] productPropertyTableRelIds);

    /**
     * 删除产品属性模板关联信息
     * 
     * @param productPropertyTableRelId 产品属性模板关联主键
     * @return 结果
     */
    public int deleteDhcProductPropertyTableRelByProductPropertyTableRelId(Long productPropertyTableRelId);
}
