package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductPropertyValue;

/**
 * 产品属性取值Service接口
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IDhcProductPropertyValueService 
{
    /**
     * 查询产品属性取值
     * 
     * @param productPropertyId 产品属性取值主键
     * @return 产品属性取值
     */
    public DhcProductPropertyValue selectDhcProductPropertyValueByProductPropertyId(Long productPropertyId);

    /**
     * 查询产品属性取值列表
     * 
     * @param dhcProductPropertyValue 产品属性取值
     * @return 产品属性取值集合
     */
    public List<DhcProductPropertyValue> selectDhcProductPropertyValueList(DhcProductPropertyValue dhcProductPropertyValue);

    /**
     * 新增产品属性取值
     * 
     * @param dhcProductPropertyValue 产品属性取值
     * @return 结果
     */
    public int insertDhcProductPropertyValue(DhcProductPropertyValue dhcProductPropertyValue);

    /**
     * 修改产品属性取值
     * 
     * @param dhcProductPropertyValue 产品属性取值
     * @return 结果
     */
    public int updateDhcProductPropertyValue(DhcProductPropertyValue dhcProductPropertyValue);

    /**
     * 批量删除产品属性取值
     * 
     * @param productPropertyIds 需要删除的产品属性取值主键集合
     * @return 结果
     */
    public int deleteDhcProductPropertyValueByProductPropertyIds(Long[] productPropertyIds);

    /**
     * 删除产品属性取值信息
     * 
     * @param productPropertyId 产品属性取值主键
     * @return 结果
     */
    public int deleteDhcProductPropertyValueByProductPropertyId(Long productPropertyId);
}
