package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductApproveRecordMapper;
import com.ruoyi.dhc.domain.DhcProductApproveRecord;
import com.ruoyi.dhc.service.IDhcProductApproveRecordService;

/**
 * 产品审核记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-08
 */
@Service
public class DhcProductApproveRecordServiceImpl implements IDhcProductApproveRecordService 
{
    @Autowired
    private DhcProductApproveRecordMapper dhcProductApproveRecordMapper;

    /**
     * 查询产品审核记录
     * 
     * @param approveRecordId 产品审核记录主键
     * @return 产品审核记录
     */
    @Override
    public DhcProductApproveRecord selectDhcProductApproveRecordByApproveRecordId(Long approveRecordId)
    {
        return dhcProductApproveRecordMapper.selectDhcProductApproveRecordByApproveRecordId(approveRecordId);
    }

    /**
     * 查询产品审核记录列表
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 产品审核记录
     */
    @Override
    public List<DhcProductApproveRecord> selectDhcProductApproveRecordList(DhcProductApproveRecord dhcProductApproveRecord)
    {
        return dhcProductApproveRecordMapper.selectDhcProductApproveRecordList(dhcProductApproveRecord);
    }

    /**
     * 新增产品审核记录
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 结果
     */
    @Override
    public int insertDhcProductApproveRecord(DhcProductApproveRecord dhcProductApproveRecord)
    {
        dhcProductApproveRecord.setCreateTime(DateUtils.getNowDate());
        return dhcProductApproveRecordMapper.insertDhcProductApproveRecord(dhcProductApproveRecord);
    }

    /**
     * 修改产品审核记录
     * 
     * @param dhcProductApproveRecord 产品审核记录
     * @return 结果
     */
    @Override
    public int updateDhcProductApproveRecord(DhcProductApproveRecord dhcProductApproveRecord)
    {
        dhcProductApproveRecord.setUpdateTime(DateUtils.getNowDate());
        return dhcProductApproveRecordMapper.updateDhcProductApproveRecord(dhcProductApproveRecord);
    }

    /**
     * 批量删除产品审核记录
     * 
     * @param approveRecordIds 需要删除的产品审核记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductApproveRecordByApproveRecordIds(Long[] approveRecordIds)
    {
        return dhcProductApproveRecordMapper.deleteDhcProductApproveRecordByApproveRecordIds(approveRecordIds);
    }

    /**
     * 删除产品审核记录信息
     * 
     * @param approveRecordId 产品审核记录主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductApproveRecordByApproveRecordId(Long approveRecordId)
    {
        return dhcProductApproveRecordMapper.deleteDhcProductApproveRecordByApproveRecordId(approveRecordId);
    }
}
