package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductPropertyDefMapper;
import com.ruoyi.dhc.domain.DhcProductPropertyDef;
import com.ruoyi.dhc.service.IDhcProductPropertyDefService;

/**
 * 产品属性定义Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
@Service
public class DhcProductPropertyDefServiceImpl implements IDhcProductPropertyDefService 
{
    @Autowired
    private DhcProductPropertyDefMapper dhcProductPropertyDefMapper;

    /**
     * 查询产品属性定义
     * 
     * @param productPropertyDefId 产品属性定义主键
     * @return 产品属性定义
     */
    @Override
    public DhcProductPropertyDef selectDhcProductPropertyDefByProductPropertyDefId(Long productPropertyDefId)
    {
        return dhcProductPropertyDefMapper.selectDhcProductPropertyDefByProductPropertyDefId(productPropertyDefId);
    }

    /**
     * 查询产品属性定义列表
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 产品属性定义
     */
    @Override
    public List<DhcProductPropertyDef> selectDhcProductPropertyDefList(DhcProductPropertyDef dhcProductPropertyDef)
    {
        return dhcProductPropertyDefMapper.selectDhcProductPropertyDefList(dhcProductPropertyDef);
    }

    /**
     * 新增产品属性定义
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 结果
     */
    @Override
    public int insertDhcProductPropertyDef(DhcProductPropertyDef dhcProductPropertyDef)
    {
        dhcProductPropertyDef.setCreateTime(DateUtils.getNowDate());
        return dhcProductPropertyDefMapper.insertDhcProductPropertyDef(dhcProductPropertyDef);
    }

    /**
     * 修改产品属性定义
     * 
     * @param dhcProductPropertyDef 产品属性定义
     * @return 结果
     */
    @Override
    public int updateDhcProductPropertyDef(DhcProductPropertyDef dhcProductPropertyDef)
    {
        dhcProductPropertyDef.setUpdateTime(DateUtils.getNowDate());
        return dhcProductPropertyDefMapper.updateDhcProductPropertyDef(dhcProductPropertyDef);
    }

    /**
     * 批量删除产品属性定义
     * 
     * @param productPropertyDefIds 需要删除的产品属性定义主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyDefByProductPropertyDefIds(Long[] productPropertyDefIds)
    {
        return dhcProductPropertyDefMapper.deleteDhcProductPropertyDefByProductPropertyDefIds(productPropertyDefIds);
    }

    /**
     * 删除产品属性定义信息
     * 
     * @param productPropertyDefId 产品属性定义主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyDefByProductPropertyDefId(Long productPropertyDefId)
    {
        return dhcProductPropertyDefMapper.deleteDhcProductPropertyDefByProductPropertyDefId(productPropertyDefId);
    }
}
