package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductPropertyTableDetailMapper;
import com.ruoyi.dhc.domain.DhcProductPropertyTableDetail;
import com.ruoyi.dhc.service.IDhcProductPropertyTableDetailService;

/**
 * 产品属性模板属性Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
@Service
public class DhcProductPropertyTableDetailServiceImpl implements IDhcProductPropertyTableDetailService 
{
    @Autowired
    private DhcProductPropertyTableDetailMapper dhcProductPropertyTableDetailMapper;

    /**
     * 查询产品属性模板属性
     * 
     * @param productPropertyTableDetailId 产品属性模板属性主键
     * @return 产品属性模板属性
     */
    @Override
    public DhcProductPropertyTableDetail selectDhcProductPropertyTableDetailByProductPropertyTableDetailId(Long productPropertyTableDetailId)
    {
        return dhcProductPropertyTableDetailMapper.selectDhcProductPropertyTableDetailByProductPropertyTableDetailId(productPropertyTableDetailId);
    }

    /**
     * 查询产品属性模板属性列表
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 产品属性模板属性
     */
    @Override
    public List<DhcProductPropertyTableDetail> selectDhcProductPropertyTableDetailList(DhcProductPropertyTableDetail dhcProductPropertyTableDetail)
    {
        return dhcProductPropertyTableDetailMapper.selectDhcProductPropertyTableDetailList(dhcProductPropertyTableDetail);
    }

    /**
     * 新增产品属性模板属性
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 结果
     */
    @Override
    public int insertDhcProductPropertyTableDetail(DhcProductPropertyTableDetail dhcProductPropertyTableDetail)
    {
        dhcProductPropertyTableDetail.setCreateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableDetailMapper.insertDhcProductPropertyTableDetail(dhcProductPropertyTableDetail);
    }

    /**
     * 修改产品属性模板属性
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 结果
     */
    @Override
    public int updateDhcProductPropertyTableDetail(DhcProductPropertyTableDetail dhcProductPropertyTableDetail)
    {
        dhcProductPropertyTableDetail.setUpdateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableDetailMapper.updateDhcProductPropertyTableDetail(dhcProductPropertyTableDetail);
    }

    /**
     * 批量删除产品属性模板属性
     * 
     * @param productPropertyTableDetailIds 需要删除的产品属性模板属性主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableDetailByProductPropertyTableDetailIds(Long[] productPropertyTableDetailIds)
    {
        return dhcProductPropertyTableDetailMapper.deleteDhcProductPropertyTableDetailByProductPropertyTableDetailIds(productPropertyTableDetailIds);
    }

    /**
     * 删除产品属性模板属性信息
     * 
     * @param productPropertyTableDetailId 产品属性模板属性主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableDetailByProductPropertyTableDetailId(Long productPropertyTableDetailId)
    {
        return dhcProductPropertyTableDetailMapper.deleteDhcProductPropertyTableDetailByProductPropertyTableDetailId(productPropertyTableDetailId);
    }
}
