package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductPropertyTableRelMapper;
import com.ruoyi.dhc.domain.DhcProductPropertyTableRel;
import com.ruoyi.dhc.service.IDhcProductPropertyTableRelService;

/**
 * 产品属性模板关联Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
@Service
public class DhcProductPropertyTableRelServiceImpl implements IDhcProductPropertyTableRelService 
{
    @Autowired
    private DhcProductPropertyTableRelMapper dhcProductPropertyTableRelMapper;

    /**
     * 查询产品属性模板关联
     * 
     * @param productPropertyTableRelId 产品属性模板关联主键
     * @return 产品属性模板关联
     */
    @Override
    public DhcProductPropertyTableRel selectDhcProductPropertyTableRelByProductPropertyTableRelId(Long productPropertyTableRelId)
    {
        return dhcProductPropertyTableRelMapper.selectDhcProductPropertyTableRelByProductPropertyTableRelId(productPropertyTableRelId);
    }

    /**
     * 查询产品属性模板关联列表
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 产品属性模板关联
     */
    @Override
    public List<DhcProductPropertyTableRel> selectDhcProductPropertyTableRelList(DhcProductPropertyTableRel dhcProductPropertyTableRel)
    {
        return dhcProductPropertyTableRelMapper.selectDhcProductPropertyTableRelList(dhcProductPropertyTableRel);
    }

    /**
     * 新增产品属性模板关联
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 结果
     */
    @Override
    public int insertDhcProductPropertyTableRel(DhcProductPropertyTableRel dhcProductPropertyTableRel)
    {
        dhcProductPropertyTableRel.setCreateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableRelMapper.insertDhcProductPropertyTableRel(dhcProductPropertyTableRel);
    }

    /**
     * 修改产品属性模板关联
     * 
     * @param dhcProductPropertyTableRel 产品属性模板关联
     * @return 结果
     */
    @Override
    public int updateDhcProductPropertyTableRel(DhcProductPropertyTableRel dhcProductPropertyTableRel)
    {
        dhcProductPropertyTableRel.setUpdateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableRelMapper.updateDhcProductPropertyTableRel(dhcProductPropertyTableRel);
    }

    /**
     * 批量删除产品属性模板关联
     * 
     * @param productPropertyTableRelIds 需要删除的产品属性模板关联主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableRelByProductPropertyTableRelIds(Long[] productPropertyTableRelIds)
    {
        return dhcProductPropertyTableRelMapper.deleteDhcProductPropertyTableRelByProductPropertyTableRelIds(productPropertyTableRelIds);
    }

    /**
     * 删除产品属性模板关联信息
     * 
     * @param productPropertyTableRelId 产品属性模板关联主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableRelByProductPropertyTableRelId(Long productPropertyTableRelId)
    {
        return dhcProductPropertyTableRelMapper.deleteDhcProductPropertyTableRelByProductPropertyTableRelId(productPropertyTableRelId);
    }
}
