package com.ruoyi.dhc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.DhcProductPropertyTableMapper;
import com.ruoyi.dhc.domain.DhcProductPropertyTable;
import com.ruoyi.dhc.service.IDhcProductPropertyTableService;

/**
 * 产品属性模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
@Service
public class DhcProductPropertyTableServiceImpl implements IDhcProductPropertyTableService 
{
    @Autowired
    private DhcProductPropertyTableMapper dhcProductPropertyTableMapper;

    /**
     * 查询产品属性模板
     * 
     * @param productPropertyTableId 产品属性模板主键
     * @return 产品属性模板
     */
    @Override
    public DhcProductPropertyTable selectDhcProductPropertyTableByProductPropertyTableId(Long productPropertyTableId)
    {
        return dhcProductPropertyTableMapper.selectDhcProductPropertyTableByProductPropertyTableId(productPropertyTableId);
    }

    /**
     * 查询产品属性模板列表
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 产品属性模板
     */
    @Override
    public List<DhcProductPropertyTable> selectDhcProductPropertyTableList(DhcProductPropertyTable dhcProductPropertyTable)
    {
        return dhcProductPropertyTableMapper.selectDhcProductPropertyTableList(dhcProductPropertyTable);
    }

    /**
     * 新增产品属性模板
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 结果
     */
    @Override
    public int insertDhcProductPropertyTable(DhcProductPropertyTable dhcProductPropertyTable)
    {
        dhcProductPropertyTable.setCreateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableMapper.insertDhcProductPropertyTable(dhcProductPropertyTable);
    }

    /**
     * 修改产品属性模板
     * 
     * @param dhcProductPropertyTable 产品属性模板
     * @return 结果
     */
    @Override
    public int updateDhcProductPropertyTable(DhcProductPropertyTable dhcProductPropertyTable)
    {
        dhcProductPropertyTable.setUpdateTime(DateUtils.getNowDate());
        return dhcProductPropertyTableMapper.updateDhcProductPropertyTable(dhcProductPropertyTable);
    }

    /**
     * 批量删除产品属性模板
     * 
     * @param productPropertyTableIds 需要删除的产品属性模板主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableByProductPropertyTableIds(Long[] productPropertyTableIds)
    {
        return dhcProductPropertyTableMapper.deleteDhcProductPropertyTableByProductPropertyTableIds(productPropertyTableIds);
    }

    /**
     * 删除产品属性模板信息
     * 
     * @param productPropertyTableId 产品属性模板主键
     * @return 结果
     */
    @Override
    public int deleteDhcProductPropertyTableByProductPropertyTableId(Long productPropertyTableId)
    {
        return dhcProductPropertyTableMapper.deleteDhcProductPropertyTableByProductPropertyTableId(productPropertyTableId);
    }
}
