-- ----------------------------
-- 1、排产计划表
-- ----------------------------
drop table if exists dhc_production_plan;
create table dhc_production_plan (
  production_plan_id           bigint(20)      not null auto_increment    comment '排产计划id',
  product_line_code         varchar(32)      default ''                  comment '产品线编码',
  product_line_name         varchar(64)      default ''                  comment '产品线名称',
  production_base_code         varchar(32)      default ''                  comment '生成基地编码',
  production_base_name         varchar(64)      default ''                  comment '生成基地名称',
  production_line_code         varchar(32)      default ''                  comment '生成线编码',
  production_line_name         varchar(64)      default ''                  comment '生成线名称',
  batch_num         varchar(32)     default ''                 comment '批次号',
  dealer_code         varchar(32)     default ''                 comment '客户编码',
  dealer_name         varchar(32)     default ''                 comment '客户名称',
  area_code_large         bigint(20)                      comment '销售大区编码',
  area_name_large         varchar(64)     default ''                 comment '销售大区名称',
  area_code_small       bigint(20)                      comment '销售小区编码',
  area_name_small        varchar(64)     default ''                 comment '销售小区名称',
  dept_emp_code        varchar(32)     default ''                 comment '业务线负责人编号',
  dept_emp_name        varchar(32)     default ''                 comment '业务线负责人名称',
  sales_assistant         varchar(64)     default ''                 comment '销售助理',
  export_model         varchar(32)     default ''                 comment '出口型号',
  machine_model         varchar(32)     default ''                 comment '机型型号',
  export_method         varchar(64)     default ''                 comment '出口方式',
  plan_quantity         bigint(20)                     comment '数量',
  Hope_shipment_datetime         datetime                      comment '希望出运时间',
  review_datetime         datetime                      comment '评审时间',
  production_year_month         varchar(6)     default ''                 comment '排产年月（yyyymm）',
  plan_shipment_datetime_pre         datetime                      comment '上版计划出运时间',
  plan_shipment_datetime          datetime                      comment '本版计划出运时间',
  plans_judge         varchar(32)     default ''                 comment '计划判断',
  del_flag          char(1)         default '0'                comment '删除标志（0代表存在 1代表删除）',
  create_by         varchar(64)     default ''                 comment '创建者',
  create_time 	    datetime                                   comment '创建时间',
  update_by         varchar(64)     default ''                 comment '更新者',
  update_time       datetime                                   comment '更新时间',
  primary key (production_plan_id)
) engine=innodb auto_increment=1 comment = '排产计划表';