-- ----------------------------
-- 1、订单台账表
-- ----------------------------
drop table if exists dhc_order;
create table dhc_order (
     order_id           bigint(20)      not null auto_increment    comment '订单id',
     order_num         varchar(64)      default ''                  comment '订单编号',
     country_code         varchar(32)     default ''                 comment '国家编码',
     country_name         varchar(64)     default ''                 comment '国家名称',
     dealer_code         varchar(32)     default ''                 comment '客户编码',
     dealer_name         varchar(32)     default ''                 comment '客户名称',
     dealer_real_name         varchar(32)     default ''                 comment '真实客户',
     area_code_large         varchar(32)     default ''                 comment '销售大区编码',
     area_name_large         varchar(64)     default ''                 comment '销售大区名称',
     area_code_small       varchar(32)    default ''                 comment '销售小区编码',
     area_name_small        varchar(64)     default ''                 comment '销售小区名称',
     brand_code        varchar(32)     default ''                 comment '品牌编码',
     brand_name       varchar(64)     default ''                 comment '品牌名称',
     trade_clause       varchar(1024)                      comment '贸易条款',
     fob_price       decimal(16,4)                      comment 'FOB单价',
     fob_amount       decimal(16,4)                     comment 'FOB总金额',
     cif_price       decimal(16,4)                      comment 'CIF单价',
     cif_amount       decimal(16,4)                      comment 'CIF总金额',
     total_carriage      decimal(16,4)                      comment '总运费',
     total_premium       decimal(16,4)                      comment '总保费',
     estimate_price       decimal(16,4)                    comment '预估保值单价',
     estimate_amount       decimal(16,4)                    comment '预估保值总金额',
     po_amount       decimal(16,4)                     comment 'PO总金额',
     exw_price       decimal(16,4)                   comment 'EXW单价',
     invoice_amount       decimal(16,4)                    comment '实际开票金额',
     hk_invoice_price       decimal(16,4)                    comment '香港发票价格（运保费不单列）',
     hk_invoice_amount       decimal(16,4)                     comment '香港发票总金额（运保费不单列）',
     complete_machine_code         varchar(64)      default ''                  comment '整机编码',
     new_material_num         varchar(64)      default ''                  comment '新物料号',
     contract_num         varchar(32)      default ''                  comment '合同号',
     Internal_model       varchar(32)     default ''                 comment '内部型号',
     customer_model       varchar(32)     default ''                 comment '客户型号',
     order_quantity         bigint(20)                       comment '订单数量',
     paper_quantity         bigint(20)                       comment '落货纸数量',
     paper_quantity_no         bigint(20)                       comment '未做落货纸数量',
     paper_num         varchar(32)      default ''                  comment '落货纸号',
     paper_status         char(2)      default ''                  comment '落货纸状态',
     production_base_code         varchar(32)      default ''                  comment '生产基地编码',
     production_base_name         varchar(64)      default ''                  comment '生产基地名称',
     pack_way_code         varchar(32)     default ''                 comment '包装方式编码',
     pack_way_name         varchar(64)      default ''                  comment '包装方式名称',
     order_type       varchar(64)     default ''                 comment '订单类别（A,B，C）',
     start_port         varchar(128)      default ''                  comment '起运港',
     aim_port         varchar(128)      default ''                  comment '目的港',
     transport_route         varchar(128)      default ''                  comment '航线',
     so_num         varchar(64)      default ''                  comment 'SO号',
     delivery_date         date                 comment '计划交货日期',
     delivery_year         int     default 0                  comment '计划交货年',
     delivery_week        int     default 0                  comment '计划交货周',
     ord_plan_date         date                 comment '排定日期',
     formal_delivery_date         date                 comment '正式版交货日期',
     formal_plan_quantity         bigint(20)                        comment '正式版计划数量',
     current_stock         bigint(20)                       comment '当前库存',
     order_status            char(2)         default ''                comment '订单状态',
     del_flag          char(1)         default '0'                comment '删除标志（0代表存在 1代表删除）',
     create_by         varchar(64)     default ''                 comment '创建者',
     create_time 	    datetime                                   comment '创建时间',
     update_by         varchar(64)     default ''                 comment '更新者',
     update_time       datetime                                   comment '更新时间',
     primary key (order_id)
) engine=innodb auto_increment=1 comment = '订单台账表';